#include <amxmodx>
#include <amxmisc>
#include <fun>
#include <cstrike>
#include <fakemeta>
#include <engine>
#include <hamsandwich>
#include <nvault>
#include <ColorChat> 


#define PLUGIN "Call of Duty: AM Mod"
#define VERSION "Beta Mod"
#define AUTHOR "Almen"

#define STANDARDOWA_SZYBKOSC 250.0

#define ZADANIE_POKAZ_INFORMACJE 672
#define ZADANIE_WSKRZES 704
#define ZADANIE_WYSZKOLENIE_SANITARNE 736
#define ZADANIE_POKAZ_REKLAME 768
#define ZADANIE_USTAW_SZYBKOSC 832

//#define BOTY 1

new SyncHudObj;
new SyncHudObj2;
new SyncHudObj3;
new g_msg_screenfade;

new sprite_white;
new sprite_blast;

new g_vault;

new podkladajacy;
new rozbrajajacy;

new doswiadczenia_za_zabojstwo;
new doswiadczenie_za_bombe;
new doswiadczenie_za_kase;
new doswiadczenie_za_kasez;
new doswiadczenie_za_totek;
new doswiadczenie_za_fail; 

new Ubrania_CT[4][]={"sas","gsg9","urban","gign"};
new Ubrania_Terro[4][]={"arctic","leet","guerilla","terror"};

new const maxAmmo[31]={0,52,0,90,1,32,1,100,90,1,120,100,100,90,90,90,100,120,30,120,200,32,90,120,90,2,35,90,90,0,100};
new const maxClip[31] = { -1, 13, -1, 10,  1,  7,  1,  30, 30,  1,  30,  20,  25, 30, 35, 25,  12,  20, 
10,  30, 100,  8, 30,  30, 20,  2,  7, 30, 30, -1,  50 };

new informacje_przedmiotu_gracza[33][2];
new const nazwy_przedmiotow[][] = {"Brak", 
	"Buty Szturmowego", //1
	"Podwojna Kamizelka", //2
	"Wzmocniona Kamizelka", //3
	"Weteran Noza", //4
	"Zaskoczenie Wroga", //5
	"Plaszcz Partyzanta", //6 
	"Morfina", //7
	"Noz Komandosa", //8
	"Podrecznik Szpiega", //9
	"Tajemnica Generala", //10
	"Notatki Ninji", //11
	"Tajemnica Wojskowa", //12
	"AWP Sniper",//13
	"Adrenalina",//14
	"Tajemnica Rambo",//15
	"Wyszkolenie Sanitarne",//16
	"Kamizelka NASA",//17
	"Wytrenowany Weteran",//18
	"Apteczka",//19
	"Eliminator Rozrzutu",//20
	"Tytanowe Naboje",//21
	"Naboje Pulkownika",//22
	"Ogranicznik Rozrzutu",//23
	"Tarcza SWAT",//24
	"Wytrenowany Rekrut",//25
	"Pancerz Nomexowy",//26
	"Notatki Kapitana",//27
	"Modul odrzutowy"
	
};

new const opisy_przedmiotow[][] = {"Zabij kogos aby dostac przedmiot", 
	"Cicho biegasz", 
	"Obniza uszkodzenia zadawane graczowi o LW",
	"Obniza uszkodzenia zadawane graczowi o LW", 
	"Zadajesz wieksze obrazenia nozem",
	"Gdy trafisz kogos od tylu, obrazenia sa 2 razy wieksze", 
	"Masz LW premii niewidocznosci",
	"1/LW szans do ponownego odrodzenia sie po smierci",
	"Natychmiastowe zabicie z Noza",
	"Masz 1/LW szans na natychmiastowe zabicie z HE. Posiadasz takze ubranie wroga",
	"Natychmiastowe zabicie granatem HE. Zadajesz LW dodatkowych obrazen",
	"Mozesz zrobic podwojny skok w powietrzu",
	"Twoje obrazenia sa zredukowane o 5. Masz 1/LW szans na oslepienie wroga",
	"Natychmiastowe zabicie z AWP",
	"Za kazdego Fraga dostajesz 50 zycia",
	"Za kazdego Fraga dostajesz pelen magazynek oraz +20 hp",
	"Dostajesz 10 HP co 5 sekund",
	"Masz 500 pancerza",
	"Dostajesz +100 HP co runde, wolniej biegasz",
	"Uzyj, aby uleczyc sie do maksymalnej ilosci HP",
	"Nie posiadasz rozrzutu broni",
	"Zadajesz 10 obrazen wiecej",
	"Zadajesz 20 obrazen wiecej",
	"Twoj rozrzut jest mniejszy",
	"Nie dzialaja na ciebie zadne przedmioty",
	"Dostajesz +50 HP co runde, wolniej biegasz",
	"Masz 1/LW szans na odbicie pocisku przez pancerz",
	"Jestes odporny na 3 pociski w kazdej rundzie",
	"Nacisnij CTRL i SPACE aby uzyc modulu, modul laduje sie co 4 sekundy"
};

new nazwa_gracza[33][64];
new klasa_gracza[33];
new poziom_gracza[33] = 1;
new doswiadczenie_gracza[33];

new nowa_klasa_gracza[33];

new const doswiadczenie_poziomu[] =  {
	0,60,240,540,960,1500,2160,2940,3840,4860,6000,7260,8640,10140,11760,13500,15360,17340,19440,21660,
	24000,26460,29040,31740,34560,37500,40560,43740,47040,50460,54000,57660,61440,65340,69360,73500,77760,82140,86640,91260,
	96000,100860,105840,110940,116160,121500,126960,132540,138240,144060,150000,156060,162240,168540,174960,181500,188160,194940,201840,208860,
	216000,223260,230640,238140,245760,253500,261360,269340,277440,285660,294000,302460,311040,319740,328560,337500,346560,355740,365040,374460,
	384000,393660,403440,413340,423360,433500,443760,454140,464640,475260,486000,496860,507840,518940,530160,541500,552960,564540,576240,588060,
	600000,612060,624240,636540,648960,661500,674160,686940,699840,712860,726000,739260,752640,766140,779760,793500,807360,821340,835440,849660,
	864000,878460,893040,907740,922560,937500,952560,967740,983040,998460,1014000,1029660,1045440,1061340,1077360,1093500,1109760,1126140,1142640,1159260,
	1176000,1192860,1209840,1226940,1244160,1261500,1278960,1296540,1314240,1332060,1350000,1368060,1386240,1404540,1422960,1441500,1460160,1478940,1497840,1516860,
	1536000,1555260,1574640,1594140,1613760,1633500,1653360,1673340,1693440,1713660,1734000,1754460,1775040,1795740,1816560,1837500,1858560,1879740,1901040,1922460,
	1944000,1965660,1987440,2009340,2031360,2053500,2075760,2098140,2120640,2143260,2166000,2188860,2211840,2234940,2258160,2281500,2304960,2328540,2352240,2376060,
	2400000,2424060,2448240,2472540,2496960,2521500,2546160,2570940,2595840,2620860,2646000,2671260,2696640,2722140,2747760,2773500,2799360,2825340,2851440,2877660,
	2904000,2930460,2957040,2983740,3010560,3037500,3064560,3091740,3119040,3146460,3174000,3201660,3229440,3257340,3285360,3313500,3341760,3370140,3398640,3427260,
	3456000,3484860,3513840,3542940,3572160,3601500,3630960,3660540,3690240,3720060,3750000,3780060,3810240,3840540,3870960,3901500,3932160,3962940,3993840,4024860,
	4056000,4087260,4118640,4150140,4181760,4213500,4245360,4277340,4309440,4341660,4374000,4406460,4439040,4471740,4504560,4537500,4570560,4603740,4637040,4670460,
	4704000,4737660,4771440,4805340,4839360,4873500,4907760,4942140,4976640,5011260,5046000,5080860,5115840,5150940,5186160,5221500,5256960,5292540,5328240,5364060,
	5400000,5436060,5472240,5508540,5544960,5581500,5618160,5654940,5691840,5728860,5766000,5803260,5840640,5878140,5915760,5953500,5991360,6029340,6067440,6105660,
	6144000,6182460,6221040,6259740,6298560,6337500,6376560,6415740,6455040,6494460,6534000,6573660,6613440,6653340,6693360,6733500,6773760,6814140,6854640,6895260,
	6936000,6976860,7017840,7058940,7100160,7141500,7182960,7224540,7266240,7308060,7350000,7392060,7434240,7476540,7518960,7561500,7604160,7646940,7689840,7732860,
	7776000,7819260,7862640,7906140,7949760,7993500,8037360,8081340,8125440,8169660,8214000,8258460,8303040,8347740,8392560,8437500,8482560,8527740,8573040,8618460,
	8664000,8709660,8755440,8801340,8847360,8893500,8939760,8986140,9032640,9079260,9126000,9172860,9219840,9266940,9314160,9361500,9408960,9456540,9504240,9552060,
	9600000,9648060,9696240,9744540,9792960,9841500,9890160,9938940,9987840,10036860,10086000,10135260,10184640,10234140,10283760,10333500,10383360,10433340,10483440,10533660,
	10584000,10634460,10685040,10735740,10786560,10837500,10888560,10939740,10991040,11042460,11094000,11145660,11197440,11249340,11301360,11353500,11405760,11458140,11510640,11563260,
	11616000,11668860,11721840,11774940,11828160,11881500,11934960,11988540,12042240,12096060,12150000,12204060,12258240,12312540,12366960,12421500,12476160,12530940,12585840,12640860,
	12696000,12751260,12806640,12862140,12917760,12973500,13029360,13085340,13141440,13197660,13254000,13310460,13367040,13423740,13480560,13537500,13594560,13651740,13709040,13766460,
	13824000,13881660,13939440,13997340,14055360,14113500,14171760,14230140,14288640,14347260,14406000,14464860,14523840,14582940,14642160,14701500,14760960,14820540,14880240,14940060,
	15000000,15060060,15120240,15180540,15240960,15301500,15362160,15422940,15483840,15544860,15606000,15667260,15728640,15790140,15851760,15913500,15975360,16037340,16099440,16161660,
	16224000,16286460,16349040,16411740,16474560,16537500,16600560,16663740,16727040,16790460,16854000,16917660,16981440,17045340,17109360,17173500,17237760,17302140,17366640,17431260,
	17496000,17560860,17625840,17690940,17756160,17821500,17886960,17952540,18018240,18084060,18150000,18216060,18282240,18348540,18414960,18481500,18548160,18614940,18681840,18748860,
	18816000,18883260,18950640,19018140,19085760,19153500,19221360,19289340,19357440,19425660,19494000,19562460,19631040,19699740,19768560,19837500,19906560,19975740,20045040,20114460,
	20184000,20253660,20323440,20393340,20463360,20533500,20603760,20674140,20744640,20815260,20886000,20956860,21027840,21098940,21170160,21241500,21312960,21384540,21456240,21528060,
	21600000,21672060,21744240,21816540,21888960,21961500,22034160,22106940,22179840,22252860,22326000,22399260,22472640,22546140,22619760,22693500,22767360,22841340,22915440,22989660,
	23064000,23138460,23213040,23287740,23362560,23437500,23512560,23587740,23663040,23738460,23814000,23889660,23965440,24041340,24117360,24193500,24269760,24346140,24422640,24499260,
	24576000,24652860,24729840,24806940,24884160,24961500,25038960,25116540,25194240,25272060,25350000,25428060,25506240,25584540,25662960,25741500,25820160,25898940,25977840,26056860,
	26136000,26215260,26294640,26374140,26453760,26533500,26613360,26693340,26773440,26853660,26934000,27014460,27095040,27175740,27256560,27337500,27418560,27499740,27581040,27662460,
	27744000,27825660,27907440,27989340,28071360,28153500,28235760,28318140,28400640,28483260,28566000,28648860,28731840,28814940,28898160,28981500,29064960,29148540,29232240,29316060,
	29400000,29484060,29568240,29652540,29736960,29821500,29906160,29990940,30075840,30160860,30246000,30331260,30416640,30502140,30587760,30673500,30759360,30845340,30931440,31017660,
	31104000,31190460,31277040,31363740,31450560,31537500,31624560,31711740,31799040,31886460,31974000,32061660,32149440,32237340,32325360,32413500,32501760,32590140,32678640,32767260,
	32856000,32944860,33033840,33122940,33212160,33301500,33390960,33480540,33570240,33660060,33750000,33840060,33930240,34020540,34110960,34201500,34292160,34382940,34473840,34564860,
	34656000,34747260,34838640,34930140,35021760,35113500,35205360,35297340,35389440,35481660,35574000,35666460,35759040,35851740,35944560,36037500,36130560,36223740,36317040,36410460,
	36504000,36597660,36691440,36785340,36879360,36973500,37067760,37162140,37256640,37351260,37446000,37540860,37635840,37730940,37826160,37921500,38016960,38112540,38208240,38304060,
	38400000,38496060,38592240,38688540,38784960,38881500,38978160,39074940,39171840,39268860,39366000,39463260,39560640,39658140,39755760,39853500,39951360,40049340,40147440,40245660,
	40344000,40442460,40541040,40639740,40738560,40837500,40936560,41035740,41135040,41234460,41334000,41433660,41533440,41633340,41733360,41833500,41933760,42034140,42134640,42235260,
	42336000,42436860,42537840,42638940,42740160,42841500,42942960,43044540,43146240,43248060,43350000,43452060,43554240,43656540,43758960,43861500,43964160,44066940,44169840,44272860,
	44376000,44479260,44582640,44686140,44789760,44893500,44997360,45101340,45205440,45309660,45414000,45518460,45623040,45727740,45832560,45937500,46042560,46147740,46253040,46358460,
	46464000,46569660,46675440,46781340,46887360,46993500,47099760,47206140,47312640,47419260,47526000,47632860,47739840,47846940,47954160,48061500,48168960,48276540,48384240,48492060,
	48600000,48708060,48816240,48924540,49032960,49141500,49250160,49358940,49467840,49576860,49686000,49795260,49904640,50014140,50123760,50233500,50343360,50453340,50563440,50673660,
	50784000,50894460,51005040,51115740,51226560,51337500,51448560,51559740,51671040,51782460,51894000,52005660,52117440,52229340,52341360,52453500,52565760,52678140,52790640,52903260,
	53016000,53128860,53241840,53354940,53468160,53581500,53694960,53808540,53922240,54036060,54150000,54264060,54378240,54492540,54606960,54721500,54836160,54950940,55065840,55180860,
	55296000,55411260,55526640,55642140,55757760,55873500,55989360,56105340,56221440,56337660,56454000,56570460,56687040,56803740,56920560,57037500,57154560,57271740,57389040,57506460,
	57624000,57741660,57859440,57977340,58095360,58213500,58331760,58450140,58568640,58687260,58806000,58924860,59043840,59162940,59282160,59401500,59520960,59640540,59760240,59880060,
	60000000,60120060,60240240,60360540,60480960,60601500,60722160,60842940,60963840,61084860,61206000,61327260,61448640,61570140,61691760,61813500,61935360,62057340,62179440,62301660,
	62424000,62546460,62669040,62791740,62914560,63037500,63160560,63283740,63407040,63530460,63654000,63777660,63901440,64025340,64149360,64273500,64397760,64522140,64646640,64771260,
	64896000,65020860,65145840,65270940,65396160,65521500,65646960,65772540,65898240,66024060,66150000,66276060,66402240,66528540,66654960,66781500,66908160,67034940,67161840,67288860,
	67416000,67543260,67670640,67798140,67925760,68053500,68181360,68309340,68437440,68565660,68694000,68822460,68951040,69079740,69208560,69337500,69466560,69595740,69725040,69854460,
	69984000,70113660,70243440,70373340,70503360,70633500,70763760,70894140,71024640,71155260,71286000,71416860,71547840,71678940,71810160,71941500,72072960,72204540,72336240,72468060,
	72600000,72732060,72864240,72996540,73128960,73261500,73394160,73526940,73659840,73792860,73926000,74059260,74192640,74326140,74459760,74593500,74727360,74861340,74995440,75129660,
	75264000,75398460,75533040,75667740,75802560,75937500,76072560,76207740,76343040,76478460,76614000,76749660,76885440,77021340,77157360,77293500,77429760,77566140,77702640,77839260,
	77976000,78112860,78249840,78386940,78524160,78661500,78798960,78936540,79074240,79212060,79350000,79488060,79626240,79764540,79902960,80041500,80180160,80318940,80457840,80596860,
	80736000,80875260,81014640,81154140,81293760,81433500,81573360,81713340,81853440,81993660,82134000,82274460,82415040,82555740,82696560,82837500,82978560,83119740,83261040,83402460,
	83544000,83685660,83827440,83969340,84111360,84253500,84395760,84538140,84680640,84823260,84966000,85108860,85251840,85394940,85538160,85681500,85824960,85968540,86112240,86256060,
	86400000,86544060,86688240,86832540,86976960,87121500,87266160,87410940,87555840,87700860,87846000,87991260,88136640,88282140,88427760,88573500,88719360,88865340,89011440,89157660,
	89304000,89450460,89597040,89743740,89890560,90037500,90184560,90331740,90479040,90626460,90774000,90921660,91069440,91217340,91365360,91513500,91661760,91810140,91958640,92107260,
	92256000,92404860,92553840,92702940,92852160,93001500,93150960,93300540,93450240,93600060,93750000,93900060,94050240,94200540,94350960,94501500,94652160,94802940,94953840,95104860,
	95256000,95407260,95558640,95710140,95861760,96013500,96165360,96317340,96469440,96621660,96774000,96926460,97079040,97231740,97384560,97537500,97690560,97843740,97997040,98150460,
	98304000,98457660,98611440,98765340,98919360,99073500,99227760,99382140,99536640,99691260,99846000,100000860,100155840,100310940,100466160,100621500,100776960,100932540,101088240,101244060,
	101400000,101556060,101712240,101868540,102024960,102181500,102338160,102494940,102651840,102808860,102966000,103123260,103280640,103438140,103595760,103753500,103911360,104069340,104227440,104385660,
	104544000,104702460,104861040,105019740,105178560,105337500,105496560,105655740,105815040,105974460,106134000,106293660,106453440,106613340,106773360,106933500,107093760,107254140,107414640,107575260,
	107736000,107896860,108057840,108218940,108380160,108541500,108702960,108864540,109026240,109188060,109350000,109512060,109674240,109836540,109998960,110161500,110324160,110486940,110649840,110812860,
	110976000,111139260,111302640,111466140,111629760,111793500,111957360,112121340,112285440,112449660,112614000,112778460,112943040,113107740,113272560,113437500,113602560,113767740,113933040,114098460,
	114264000,114429660,114595440,114761340,114927360,115093500,115259760,115426140,115592640,115759260,115926000,116092860,116259840,116426940,116594160,116761500,116928960,117096540,117264240,117432060,
	117600000,117768060,117936240,118104540,118272960,118441500,118610160,118778940,118947840,119116860,119286000,119455260,119624640,119794140,119963760,120133500,120303360,120473340,120643440,120813660,
	120984000,121154460,121325040,121495740,121666560,121837500,122008560,122179740,122351040,122522460,122694000,122865660,123037440,123209340,123381360,123553500,123725760,123898140,124070640,124243260,
	124416000,124588860,124761840,124934940,125108160,125281500,125454960,125628540,125802240,125976060,126150000,126324060,126498240,126672540,126846960,127021500,127196160,127370940,127545840,127720860,
	127896000,128071260,128246640,128422140,128597760,128773500,128949360,129125340,129301440,129477660,129654000,129830460,130007040,130183740,130360560,130537500,130714560,130891740,131069040,131246460,
	131424000,131601660,131779440,131957340,132135360,132313500,132491760,132670140,132848640,133027260,133206000,133384860,133563840,133742940,133922160,134101500,134280960,134460540,134640240,134820060,
	135000000,135180060,135360240,135540540,135720960,135901500,136082160,136262940,136443840,136624860,136806000,136987260,137168640,137350140,137531760,137713500,137895360,138077340,138259440,138441660,
	138624000,138806460,138989040,139171740,139354560,139537500,139720560,139903740,140087040,140270460,140454000,140637660,140821440,141005340,141189360,141373500,141557760,141742140,141926640,142111260,
	142296000,142480860,142665840,142850940,143036160,143221500,143406960,143592540,143778240,143964060,144150000,144336060,144522240,144708540,144894960,145081500,145268160,145454940,145641840,145828860,
	146016000,146203260,146390640,146578140,146765760,146953500,147141360,147329340,147517440,147705660,147894000,148082460,148271040,148459740,148648560,148837500,149026560,149215740,149405040,149594460,
	149784000,149973660,150163440,150353340,150543360,150733500,150923760,151114140,151304640,151495260,151686000,151876860,152067840,152258940,152450160,152641500,152832960,153024540,153216240,153408060,
	153600000,153792060,153984240,154176540,154368960,154561500,154754160,154946940,155139840,155332860,155526000,155719260,155912640,156106140,156299760,156493500,156687360,156881340,157075440,157269660,
	157464000,157658460,157853040,158047740,158242560,158437500,158632560,158827740,159023040,159218460,159414000,159609660,159805440,160001340,160197360,160393500,160589760,160786140,160982640,161179260,
	161376000,161572860,161769840,161966940,162164160,162361500,162558960,162756540,162954240,163152060,163350000,163548060,163746240,163944540,164142960,164341500,164540160,164738940,164937840,165136860,
	165336000,165535260,165734640,165934140,166133760,166333500,166533360,166733340,166933440,167133660,167334000,167534460,167735040,167935740,168136560,168337500,168538560,168739740,168941040,169142460,
	169344000,169545660,169747440,169949340,170151360,170353500,170555760,170758140,170960640,171163260,171366000,171568860,171771840,171974940,172178160,172381500,172584960,172788540,172992240,173196060,
	173400000,173604060,173808240,174012540,174216960,174421500,174626160,174830940,175035840,175240860,175446000,175651260,175856640,176062140,176267760,176473500,176679360,176885340,177091440,177297660,
	177504000,177710460,177917040,178123740,178330560,178537500,178744560,178951740,179159040,179366460,179574000,179781660,179989440,180197340,180405360,180613500,180821760,181030140,181238640,181447260,
	181656000,181864860,182073840,182282940,182492160,182701500,182910960,183120540,183330240,183540060,183750000,183960060,184170240,184380540,184590960,184801500,185012160,185222940,185433840,185644860,
	185856000,186067260,186278640,186490140,186701760,186913500,187125360,187337340,187549440,187761660,187974000,188186460,188399040,188611740,188824560,189037500,189250560,189463740,189677040,189890460,
	190104000,190317660,190531440,190745340,190959360,191173500,191387760,191602140,191816640,192031260,192246000,192460860,192675840,192890940,193106160,193321500,193536960,193752540,193968240,194184060,
	194400000,194616060,194832240,195048540,195264960,195481500,195698160,195914940,196131840,196348860,196566000,196783260,197000640,197218140,197435760,197653500,197871360,198089340,198307440,198525660,
	198744000,198962460,199181040,199399740,199618560,199837500,200056560,200275740,200495040,200714460,200934000,201153660,201373440,201593340,201813360,202033500,202253760,202474140,202694640,202915260,
	203136000,203356860,203577840,203798940,204020160,204241500,204462960,204684540,204906240,205128060,205350000,205572060,205794240,206016540,206238960,206461500,206684160,206906940,207129840,207352860,
	207576000,207799260,208022640,208246140,208469760,208693500,208917360,209141340,209365440,209589660,209814000,210038460,210263040,210487740,210712560,210937500,211162560,211387740,211613040,211838460,
	212064000,212289660,212515440,212741340,212967360,213193500,213419760,213646140,213872640,214099260,214326000,214552860,214779840,215006940,215234160,215461500,215688960,215916540,216144240,216372060,
	216600000,216828060,217056240,217284540,217512960,217741500,217970160,218198940,218427840,218656860,218886000,219115260,219344640,219574140,219803760,220033500,220263360,220493340,220723440,220953660,
	221184000,221414460,221645040,221875740,222106560,222337500,222568560,222799740,223031040,223262460,223494000,223725660,223957440,224189340,224421360,224653500,224885760,225118140,225350640,225583260,
	225816000,226048860,226281840,226514940,226748160,226981500,227214960,227448540,227682240,227916060,228150000,228384060,228618240,228852540,229086960,229321500,229556160,229790940,230025840,230260860,
	230496000,230731260,230966640,231202140,231437760,231673500,231909360,232145340,232381440,232617660,232854000,233090460,233327040,233563740,233800560,234037500,234274560,234511740,234749040,234986460,
	235224000,235461660,235699440,235937340,236175360,236413500,236651760,236890140,237128640,237367260,237606000,237844860,238083840,238322940,238562160,238801500,239040960,239280540,239520240,239760060,
	240000000,240240060,240480240,240720540,240960960,241201500,241442160,241682940,241923840,242164860,242406000,242647260,242888640,243130140,243371760,243613500,243855360,244097340,244339440,244581660,
	244824000,245066460,245309040,245551740,245794560,246037500,246280560,246523740,246767040,247010460,247254000,247497660,247741440,247985340,248229360,248473500,248717760,248962140,249206640,249451260,
	249696000,249940860,250185840,250430940,250676160,250921500,251166960,251412540,251658240,251904060,252150000,252396060,252642240,252888540,253134960,253381500,253628160,253874940,254121840,254368860,
	254616000,254863260,255110640,255358140,255605760,255853500,256101360,256349340,256597440,256845660,257094000,257342460,257591040,257839740,258088560,258337500,258586560,258835740,259085040,259334460,
	259584000,259833660,260083440,260333340,260583360,260833500,261083760,261334140,261584640,261835260,262086000,262336860,262587840,262838940,263090160,263341500,263592960,263844540,264096240,264348060,
	264600000,264852060,265104240,265356540,265608960,265861500,266114160,266366940,266619840,266872860,267126000,267379260,267632640,267886140,268139760,268393500,268647360,268901340,269155440,269409660,
	269664000,269918460,270173040,270427740,270682560,270937500,271192560,271447740,271703040,271958460,272214000,272469660,272725440,272981340,273237360,273493500,273749760,274006140,274262640,274519260,
	274776000,275032860,275289840,275546940,275804160,276061500,276318960,276576540,276834240,277092060,277350000,277608060,277866240,278124540,278382960,278641500,278900160,279158940,279417840,279676860,
	279936000,280195260,280454640,280714140,280973760,281233500,281493360,281753340,282013440,282273660,282534000,282794460,283055040,283315740,283576560,283837500,284098560,284359740,284621040,284882460,
	285144000,285405660,285667440,285929340,286191360,286453500,286715760,286978140,287240640,287503260,287766000,288028860,288291840,288554940,288818160,289081500,289344960,289608540,289872240,290136060,
	290400000,290664060,290928240,291192540,291456960,291721500,291986160,292250940,292515840,292780860,293046000,293311260,293576640,293842140,294107760,294373500,294639360,294905340,295171440,295437660,
	295704000,295970460,296237040,296503740,296770560,297037500,297304560,297571740,297839040,298106460,298374000,298641660,298909440,299177340,299445360,299713500,299981760,300250140,300518640,300787260,
	301056000,301324860,301593840,301862940,302132160,302401500,302670960,302940540,303210240,303480060,303750000,304020060,304290240,304560540,304830960,305101500,305372160,305642940,305913840,306184860,
	306456000,306727260,306998640,307270140,307541760,307813500,308085360,308357340,308629440,308901660,309174000,309446460,309719040,309991740,310264560,310537500,310810560,311083740,311357040,311630460,
	311904000,312177660,312451440,312725340,312999360,313273500,313547760,313822140,314096640,314371260,314646000,314920860,315195840,315470940,315746160,316021500,316296960,316572540,316848240,317124060,
	317400000,317676060,317952240,318228540,318504960,318781500,319058160,319334940,319611840,319888860,320166000,320443260,320720640,320998140,321275760,321553500,321831360,322109340,322387440,322665660,
	322944000,323222460,323501040,323779740,324058560,324337500,324616560,324895740,325175040,325454460,325734000,326013660,326293440,326573340,326853360,327133500,327413760,327694140,327974640,328255260,
	328536000,328816860,329097840,329378940,329660160,329941500,330222960,330504540,330786240,331068060,331350000,331632060,331914240,332196540,332478960,332761500,333044160,333326940,333609840,333892860,
	334176000,334459260,334742640,335026140,335309760,335593500,335877360,336161340,336445440,336729660,337014000,337298460,337583040,337867740,338152560,338437500,338722560,339007740,339293040,339578460,
	339864000,340149660,340435440,340721340,341007360,341293500,341579760,341866140,342152640,342439260,342726000,343012860,343299840,343586940,343874160,344161500,344448960,344736540,345024240,345312060,
	345600000,345888060,346176240,346464540,346752960,347041500,347330160,347618940,347907840,348196860,348486000,348775260,349064640,349354140,349643760,349933500,350223360,350513340,350803440,351093660,
	351384000,351674460,351965040,352255740,352546560,352837500,353128560,353419740,353711040,354002460,354294000,354585660,354877440,355169340,355461360,355753500,356045760,356338140,356630640,356923260,
	357216000,357508860,357801840,358094940,358388160,358681500,358974960,359268540,359562240,359856060,360150000,360444060,360738240,361032540,361326960,361621500,361916160,362210940,362505840,362800860,
	363096000,363391260,363686640,363982140,364277760,364573500,364869360,365165340,365461440,365757660,366054000,366350460,366647040,366943740,367240560,367537500,367834560,368131740,368429040,368726460,
	369024000,369321660,369619440,369917340,370215360,370513500,370811760,371110140,371408640,371707260,372006000,372304860,372603840,372902940,373202160,373501500,373800960,374100540,374400240,374700060,
	375000000,375300060,375600240,375900540,376200960,376501500,376802160,377102940,377403840,377704860,378006000,378307260,378608640,378910140,379211760,379513500,379815360,380117340,380419440,380721660,
	381024000,381326460,381629040,381931740,382234560,382537500,382840560,383143740,383447040,383750460,384054000,384357660,384661440,384965340,385269360,385573500,385877760,386182140,386486640,386791260,
	387096000,387400860,387705840,388010940,388316160,388621500,388926960,389232540,389538240,389844060,390150000,390456060,390762240,391068540,391374960,391681500,391988160,392294940,392601840,392908860,
	393216000,393523260,393830640,394138140,394445760,394753500,395061360,395369340,395677440,395985660,396294000,396602460,396911040,397219740,397528560,397837500,398146560,398455740,398765040,399074460,
	399384000,399693660,400003440,400313340,400623360,400933500,401243760,401554140,401864640,402175260,402486000,402796860,403107840,403418940,403730160,404041500,404352960,404664540,404976240,405288060,
	405600000,405912060,406224240,406536540,406848960,407161500,407474160,407786940,408099840,408412860,408726000,409039260,409352640,409666140,409979760,410293500,410607360,410921340,411235440,411549660,
	411864000,412178460,412493040,412807740,413122560,413437500,413752560,414067740,414383040,414698460,415014000,415329660,415645440,415961340,416277360,416593500,416909760,417226140,417542640,417859260,
	418176000,418492860,418809840,419126940,419444160,419761500,420078960,420396540,420714240,421032060,421350000,421668060,421986240,422304540,422622960,422941500,423260160,423578940,423897840,424216860,
	424536000,424855260,425174640,425494140,425813760,426133500,426453360,426773340,427093440,427413660,427734000,428054460,428375040,428695740,429016560,429337500,429658560,429979740,430301040,430622460,
	430944000,431265660,431587440,431909340,432231360,432553500,432875760,433198140,433520640,433843260,434166000,434488860,434811840,435134940,435458160,435781500,436104960,436428540,436752240,437076060,
	437400000,437724060,438048240,438372540,438696960,439021500,439346160,439670940,439995840,440320860,440646000,440971260,441296640,441622140,441947760,442273500,442599360,442925340,443251440,443577660,
	443904000,444230460,444557040,444883740,445210560,445537500,445864560,446191740,446519040,446846460,447174000,447501660,447829440,448157340,448485360,448813500,449141760,449470140,449798640,450127260,
	450456000,450784860,451113840,451442940,451772160,452101500,452430960,452760540,453090240,453420060,453750000,454080060,454410240,454740540,455070960,455401500,455732160,456062940,456393840,456724860,
	457056000,457387260,457718640,458050140,458381760,458713500,459045360,459377340,459709440,460041660,460374000,460706460,461039040,461371740,461704560,462037500,462370560,462703740,463037040,463370460,
	463704000,464037660,464371440,464705340,465039360,465373500,465707760,466042140,466376640,466711260,467046000,467380860,467715840,468050940,468386160,468721500,469056960,469392540,469728240,470064060,
	470400000,470736060,471072240,471408540,471744960,472081500,472418160,472754940,473091840,473428860,473766000,474103260,474440640,474778140,475115760,475453500,475791360,476129340,476467440,476805660,
	477144000,477482460,477821040,478159740,478498560,478837500,479176560,479515740,479855040,480194460,480534000,480873660,481213440,481553340,481893360,482233500,482573760,482914140,483254640,483595260,
	483936000,484276860,484617840,484958940,485300160,485641500,485982960,486324540,486666240,487008060,487350000,487692060,488034240,488376540,488718960,489061500,489404160,489746940,490089840,490432860,
	490776000,491119260,491462640,491806140,492149760,492493500,492837360,493181340,493525440,493869660,494214000,494558460,494903040,495247740,495592560,495937500,496282560,496627740,496973040,497318460,
	497664000,498009660,498355440,498701340,499047360,499393500,499739760,500086140,500432640,500779260,501126000,501472860,501819840,502166940,502514160,502861500,503208960,503556540,503904240,504252060,
	504600000,504948060,505296240,505644540,505992960,506341500,506690160,507038940,507387840,507736860,508086000,508435260,508784640,509134140,509483760,509833500,510183360,510533340,510883440,511233660,
	511584000,511934460,512285040,512635740,512986560,513337500,513688560,514039740,514391040,514742460,515094000,515445660,515797440,516149340,516501360,516853500,517205760,517558140,517910640,518263260,
	518616000,518968860,519321840,519674940,520028160,520381500,520734960,521088540,521442240,521796060,522150000,522504060,522858240,523212540,523566960,523921500,524276160,524630940,524985840,525340860,
	525696000,526051260,526406640,526762140,527117760,527473500,527829360,528185340,528541440,528897660,529254000,529610460,529967040,530323740,530680560,531037500,531394560,531751740,532109040,532466460,
	532824000,533181660,533539440,533897340,534255360,534613500,534971760,535330140,535688640,536047260,536406000,536764860,537123840,537482940,537842160,538201500,538560960,538920540,539280240,539640060,
	540000000,540360060,540720240,541080540,541440960,541801500,542162160,542522940,542883840,543244860,543606000,543967260,544328640,544690140,545051760,545413500,545775360,546137340,546499440,546861660,
	547224000,547586460,547949040,548311740,548674560,549037500,549400560,549763740,550127040,550490460,550854000,551217660,551581440,551945340,552309360,552673500,553037760,553402140,553766640,554131260,
	554496000,554860860,555225840,555590940,555956160,556321500,556686960,557052540,557418240,557784060,558150000,558516060,558882240,559248540,559614960,559981500,560348160,560714940,561081840,561448860,
	561816000,562183260,562550640,562918140,563285760,563653500,564021360,564389340,564757440,565125660,565494000,565862460,566231040,566599740,566968560,567337500,567706560,568075740,568445040,568814460,
	569184000,569553660,569923440,570293340,570663360,571033500,571403760,571774140,572144640,572515260,572886000,573256860,573627840,573998940,574370160,574741500,575112960,575484540,575856240,576228060,
	576600000,576972060,577344240,577716540,578088960,578461500,578834160,579206940,579579840,579952860,580326000,580699260,581072640,581446140,581819760,582193500,582567360,582941340,583315440,583689660,
	584064000,584438460,584813040,585187740,585562560,585937500,586312560,586687740,587063040,587438460,587814000,588189660,588565440,588941340,589317360,589693500,590069760,590446140,590822640,591199260,
	591576000,591952860,592329840,592706940,593084160,593461500,593838960,594216540,594594240,594972060,595350000,595728060,596106240,596484540,596862960,597241500,597620160,597998940,598377840,598756860,
	599136000,599515260,599894640,600274140,600653760,601033500,601413360,601793340,602173440,602553660,602934000,603314460,603695040,604075740,604456560,604837500,605218560,605599740,605981040,606362460,
	606744000,607125660,607507440,607889340,608271360,608653500,609035760,609418140,609800640,610183260,610566000,610948860,611331840,611714940,612098160,612481500,612864960,613248540,613632240,614016060,
	614400000,614784060,615168240,615552540,615936960,616321500,616706160,617090940,617475840,617860860,618246000,618631260,619016640,619402140,619787760,620173500,620559360,620945340,621331440,621717660,
	622104000,622490460,622877040,623263740,623650560,624037500,624424560,624811740,625199040,625586460,625974000,626361660,626749440,627137340,627525360,627913500,628301760,628690140,629078640,629467260,
	629856000,630244860,630633840,631022940,631412160,631801500,632190960,632580540,632970240,633360060,633750000,634140060,634530240,634920540,635310960,635701500,636092160,636482940,636873840,637264860,
	637656000,638047260,638438640,638830140,639221760,639613500,640005360,640397340,640789440,641181660,641574000,641966460,642359040,642751740,643144560,643537500,643930560,644323740,644717040,645110460,
	645504000,645897660,646291440,646685340,647079360,647473500,647867760,648262140,648656640,649051260,649446000,649840860,650235840,650630940,651026160,651421500,651816960,652212540,652608240,653004060,
	653400000,653796060,654192240,654588540,654984960,655381500,655778160,656174940,656571840,656968860,657366000,657763260,658160640,658558140,658955760,659353500,659751360,660149340,660547440,660945660,
	661344000,661742460,662141040,662539740,662938560,663337500,663736560,664135740,664535040,664934460,665334000,665733660,666133440,666533340,666933360,667333500,667733760,668134140,668534640,668935260,
	669336000,669736860,670137840,670538940,670940160,671341500,671742960,672144540,672546240,672948060,673350000,673752060,674154240,674556540,674958960,675361500,675764160,676166940,676569840,676972860,
	677376000,677779260,678182640,678586140,678989760,679393500,679797360,680201340,680605440,681009660,681414000,681818460,682223040,682627740,683032560,683437500,683842560,684247740,684653040,685058460,
	685464000,685869660,686275440,686681340,687087360,687493500,687899760,688306140,688712640,689119260,689526000,689932860,690339840,690746940,691154160,691561500,691968960,692376540,692784240,693192060,
	693600000,694008060,694416240,694824540,695232960,695641500,696050160,696458940,696867840,697276860,697686000,698095260,698504640,698914140,699323760,699733500,700143360,700553340,700963440,701373660,
	701784000,702194460,702605040,703015740,703426560,703837500,704248560,704659740,705071040,705482460,705894000,706305660,706717440,707129340,707541360,707953500,708365760,708778140,709190640,709603260,
	710016000,710428860,710841840,711254940,711668160,712081500,712494960,712908540,713322240,713736060,714150000,714564060,714978240,715392540,715806960,716221500,716636160,717050940,717465840,717880860,
	718296000,718711260,719126640,719542140,719957760,720373500,720789360,721205340,721621440,722037660,722454000,722870460,723287040,723703740,724120560,724537500,724954560,725371740,725789040,726206460,
	726624000,727041660,727459440,727877340,728295360,728713500,729131760,729550140,729968640,730387260,730806000,731224860,731643840,732062940,732482160,732901500,733320960,733740540,734160240,734580060,
	735000000,735420060,735840240,736260540,736680960,737101500,737522160,737942940,738363840,738784860,739206000,739627260,740048640,740470140,740891760,741313500,741735360,742157340,742579440,743001660,
	743424000,743846460,744269040,744691740,745114560,745537500,745960560,746383740,746807040,747230460,747654000,748077660,748501440,748925340,749349360,749773500,750197760,750622140,751046640,751471260,
	751896000,752320860,752745840,753170940,753596160,754021500,754446960,754872540,755298240,755724060,756150000,756576060,757002240,757428540,757854960,758281500,758708160,759134940,759561840,759988860,
	760416000,760843260,761270640,761698140,762125760,762553500,762981360,763409340,763837440,764265660,764694000,765122460,765551040,765979740,766408560,766837500,767266560,767695740,768125040,768554460,
	768984000,769413660,769843440,770273340,770703360,771133500,771563760,771994140,772424640,772855260,773286000,773716860,774147840,774578940,775010160,775441500,775872960,776304540,776736240,777168060,
	777600000,778032060,778464240,778896540,779328960,779761500,780194160,780626940,781059840,781492860,781926000,782359260,782792640,783226140,783659760,784093500,784527360,784961340,785395440,785829660,
	786264000,786698460,787133040,787567740,788002560,788437500,788872560,789307740,789743040,790178460,790614000,791049660,791485440,791921340,792357360,792793500,793229760,793666140,794102640,794539260,
	794976000,795412860,795849840,796286940,796724160,797161500,797598960,798036540,798474240,798912060,799350000,799788060,800226240,800664540,801102960,801541500,801980160,802418940,802857840,803296860,
	803736000,804175260,804614640,805054140,805493760,805933500,806373360,806813340,807253440,807693660,808134000,808574460,809015040,809455740,809896560,810337500,810778560,811219740,811661040,812102460,
	812544000,812985660,813427440,813869340,814311360,814753500,815195760,815638140,816080640,816523260,816966000,817408860,817851840,818294940,818738160,819181500,819624960,820068540,820512240,820956060,
	821400000,821844060,822288240,822732540,823176960,823621500,824066160,824510940,824955840,825400860,825846000,826291260,826736640,827182140,827627760,828073500,828519360,828965340,829411440,829857660,
	830304000,830750460,831197040,831643740,832090560,832537500,832984560,833431740,833879040,834326460,834774000,835221660,835669440,836117340,836565360,837013500,837461760,837910140,838358640,838807260,
	839256000,839704860,840153840,840602940,841052160,841501500,841950960,842400540,842850240,843300060,843750000,844200060,844650240,845100540,845550960,846001500,846452160,846902940,847353840,847804860,
	848256000,848707260,849158640,849610140,850061760,850513500,850965360,851417340,851869440,852321660,852774000,853226460,853679040,854131740,854584560,855037500,855490560,855943740,856397040,856850460,
	857304000,857757660,858211440,858665340,859119360,859573500,860027760,860482140,860936640,861391260,861846000,862300860,862755840,863210940,863666160,864121500,864576960,865032540,865488240,865944060,
	866400000,866856060,867312240,867768540,868224960,868681500,869138160,869594940,870051840,870508860,870966000,871423260,871880640,872338140,872795760,873253500,873711360,874169340,874627440,875085660,
	875544000,876002460,876461040,876919740,877378560,877837500,878296560,878755740,879215040,879674460,880134000,880593660,881053440,881513340,881973360,882433500,882893760,883354140,883814640,884275260,
	884736000,885196860,885657840,886118940,886580160,887041500,887502960,887964540,888426240,888888060,889350000,889812060,890274240,890736540,891198960,891661500,892124160,892586940,893049840,893512860,
	893976000,894439260,894902640,895366140,895829760,896293500,896757360,897221340,897685440,898149660,898614000,899078460,899543040,900007740,900472560,900937500,901402560,901867740,902333040,902798460,
	903264000,903729660,904195440,904661340,905127360,905593500,906059760,906526140,906992640,907459260,907926000,908392860,908859840,909326940,909794160,910261500,910728960,911196540,911664240,912132060,
	912600000,913068060,913536240,914004540,914472960,914941500,915410160,915878940,916347840,916816860,917286000,917755260,918224640,918694140,919163760,919633500,920103360,920573340,921043440,921513660,
	921984000,922454460,922925040,923395740,923866560,924337500,924808560,925279740,925751040,926222460,926694000,927165660,927637440,928109340,928581360,929053500,929525760,929998140,930470640,930943260,
	931416000,931888860,932361840,932834940,933308160,933781500,934254960,934728540,935202240,935676060,936150000,936624060,937098240,937572540,938046960,938521500,938996160,939470940,939945840,940420860,
	940896000,941371260,941846640,942322140,942797760,943273500,943749360,944225340,944701440,945177660,945654000,946130460,946607040,947083740,947560560,948037500,948514560,948991740,949469040,949946460,
	950424000,950901660,951379440,951857340,952335360,952813500,953291760,953770140,954248640,954727260,955206000,955684860,956163840,956642940,957122160,957601500,958080960,958560540,959040240,959520060,
960000000,1073741824}


new punkty_gracza[33];
new zdrowie_gracza[33];
new inteligencja_gracza[33];
new wytrzymalosc_gracza[33];
new Float:redukcja_obrazen_gracza[33];
new kondycja_gracza[33];
new maksymalne_zdrowie_gracza[33];
new Float:szybkosc_gracza[33];

new bool:gracz_resetuje[33];

enum { NONE = 0, Sniper, Komandos, Strzelec, Obronca, Medyk, Wsparcie, Saper, Demolitions, Rusher, Rambo, Partyzant, Tajniak, Szturmowiec, StrzelecWsparcia, LekkiZolnierz, Diablo, MlodySzturmowiec, Almen, Junior, Assasin, Billaden, Lucyfer, SWAT };
new const zdrowie_klasy[] = { 0, 120, 140, 110, 120, 110, 100, 100, 110, 100, 130, 100, 70, 140, 125, 100, 100, 110, 150, 140, 110, 100, 120, 150};
new const Float:szybkosc_klasy[] = {0.0, 1.2, 1.35, 0.8, 0.8, 1.0, 1.0, 1.0, 1.0, 1.3 , 1.15, 1.1, 1.2, 0.9, 0.9, 1.35, 1.7, 1.5, 1.3, 1.2, 1.6, 1.7, 1.4, 1.5, 1.5};
new const pancerz_klasy[] = { 0, 100, 100, 100, 150, 100, 0, 100, 100, 0, 150, 0, 0, 150, 50, 0, 25, 100, 200, 150, 200, 200, 20, 400};
new const nazwy_klas[][] = {"Brak",
	"Sniper",
	"Komandos",
	"Strzelec wyborowy",
	"Obronca",
	"Medyk",
	"Wsparcie ogniowe",
	"Saper",
	"Demolitions",
	"Rusher",
	"Rambo",
	"Partyzant",
	"Tajniak",
	"Szturmowiec ( Premium )",
	"Strzelec Wsparcia",
	"Lekki Zolniez",
	"Diablo",
	"Mlody Szturmowiec",
	"Almen",
	"Junior",
	"Assasin (Premium)",
	"Billaden",
	"Lucyfer",
	"SWAT"
	
};

new const opisy_klas[][] = {"Brak",
	"Dostaje AWP, scout i deagle, 120hp bazowe, 1/3 szansy natychmiastowego zabicia noza, 110% biegu, 100 pancerza",
	"Dostaje Deagle, 140hp bazowe, Natychmiastowe zabicie z noza (prawy przycisk myszy), 135% biegu, 100 pancerza",
	"Dostaje AK i M4A1, 110hp bazowe, 80 % biegu, 100 pancerza",
	"Dostaje M249 (Krowa), 120hp bazowe, 80% biegu, jest odporny na miny, ma wszystkie granaty, 150 pancerza",
	"Dostaje UMP45, 110hp bazowe, posiada apteczke, 100 pancerza",
	"Dostaje MP5, 100 hp bazowe, Ma dwie rakiety,ktore po trafieniu przeciwnika zadaja duo obrazen",
	"Dostaje P90, 100hp bazowe, 100 pancerza, Dostaje 3 miny, gdy ktos w nie wejdzie wybuchaja",
	"Dostaje AUG, 110 hp bazowe, 100 pancerza, Ma wszystkie granaty, Dostaje dynamit, ktry zabiera sporo zycia wszystkim znajdujcym si blisko niego",
	"Dostaje szotgana M3, 100 hp bazowe, 130% biegu",
	"Dostaje Famasa, 130 hp bazowe, 120% biegu, za kazde zabojstwo +20 hp oraz pelen magazynek, podwojny skok",
	"Dostaje P90 + FLASH, 100 hp bazowe + mniej widzialny",
	"Dostaje deagla, 70 hp bazowe, ma ubranie wroga",
	"Dostaje M4 + AK-47 deagle + he, 140 hp bazowe + 150 kamizelki, wolniej biega",
	"Dostaje G3/SG-1, 125 hp bazowe, ma 1 rakiete",
	"Dostaje galil + p228, 100 hp bazowe, szybciej biega",
	"Dostaje MP5 + 1 mine + 1 HE, 100 hp bazowe",
	"Ma Ak , usp 110hp Szybciej biega ,100kamizelki Bazowe",
	"M4 , Awp , Deagle , wolno biega 150hp bazowe , 200kamizelki",
	"Ak , AutoAWP , Deagle , wolno biega 140hp bazowe 200kamizelki",
	"AutoKampa , AWP , Deagle , szybko biega 110hp bazowe 200kamizelki"
	
};

new ilosc_apteczek_gracza[33];
new ilosc_rakiet_gracza[33];
new Float:poprzednia_rakieta_gracza[33];
new ilosc_min_gracza[33];
new ilosc_dynamitow_gracza[33];
new ilosc_skokow_gracza[33];
new bool:czolganie[33];
new zezwol_na_czolganie[33];

new bool:freezetime = true;

public plugin_init() 
{
	register_plugin(PLUGIN, VERSION, AUTHOR);
	
	g_vault = nvault_open("CodMod");
	
	register_think("Apteczka","ApteczkaThink");
	
	RegisterHam(Ham_TakeDamage, "player", "TakeDamage");
	RegisterHam(Ham_Spawn, "player", "Odrodzenie", 1);
	RegisterHam(Ham_Touch, "armoury_entity", "DotykBroni");
	RegisterHam(Ham_Touch, "weapon_shield", "DotykBroni");
	RegisterHam(Ham_Touch, "weaponbox", "DotykBroni");
	
	register_forward(FM_CmdStart, "CmdStart");
	register_forward(FM_EmitSound, "EmitSound");
	
	register_logevent("PoczatekRundy", 2, "1=Round_Start"); 
	register_logevent("BombaPodlozona", 3, "2=Planted_The_Bomb");
	
	register_event("SendAudio", "BombaRozbrojona", "a", "2&%!MRAD_BOMBDEF");
	register_event("BarTime", "RozbrajaBombe", "be", "1=10", "1=5");
	register_event("DeathMsg", "Death", "ade");
	register_event("Damage", "Damage", "b", "2!=0");
	register_event("CurWeapon","CurWeapon","be", "1=1");
	register_event("HLTV", "NowaRunda", "a", "1=0", "2=0");
	
	register_touch("Rocket", "*" , "DotykRakiety");
	register_touch("Mine", "player",  "DotykMiny");
	
	register_cvar("cod_killxp", "20000");
	register_cvar("cod_bombxp", "10000");
	
	register_clcmd("say /klasa", "WybierzKlase");
	register_clcmd("say /klasy", "OpisKlasy");
	register_clcmd("say /przedmiot", "OpisPrzedmiotu");
	register_clcmd("say /item", "OpisPrzedmiotu");
	register_clcmd("say /drop", "WyrzucPrzedmiot");
	register_clcmd("say /wyrzuc", "WyrzucPrzedmiot");
	register_clcmd("say /reset", "KomendaResetujPunkty");
	register_clcmd("say /sklep", "Sklep"); 
	register_clcmd("fullupdate", "BlokujKomende");
	
	register_clcmd("cl_autobuy", "BlokujKomende");
	register_clcmd("say /molotov", "BlokujKomende");
	register_clcmd("say molotov", "BlokujKomende");
	register_clcmd("cl_rebuy", "BlokujKomende");
	register_clcmd("cl_setautobuy","BlokujKomende");
	register_clcmd("rebuy", "BlokujKomende");
	register_clcmd("autobuy", "BlokujKomende");
	register_clcmd("glock", "BlokujKomende");
	register_clcmd("usp", "BlokujKomende");
	register_clcmd("p228", "BlokujKomende");
	register_clcmd("deagle", "BlokujKomende");
	register_clcmd("elites", "BlokujKomende");
	register_clcmd("fn57", "BlokujKomende");
	register_clcmd("m3", "BlokujKomende");
	register_clcmd("XM1014", "BlokujKomende");
	register_clcmd("mac10", "BlokujKomende");
	register_clcmd("tmp", "BlokujKomende");
	register_clcmd("mp5", "BlokujKomende");
	register_clcmd("ump45", "BlokujKomende");
	register_clcmd("p90", "BlokujKomende");
	register_clcmd("galil", "BlokujKomende");
	register_clcmd("ak47", "BlokujKomende");
	register_clcmd("scout", "BlokujKomende");
	register_clcmd("sg552", "BlokujKomende");
	register_clcmd("awp", "BlokujKomende");
	register_clcmd("g3sg1", "BlokujKomende");
	register_clcmd("famas", "BlokujKomende");
	register_clcmd("m4a1", "BlokujKomende");
	register_clcmd("bullpup", "BlokujKomende");
	register_clcmd("sg550", "BlokujKomende");
	register_clcmd("m249", "BlokujKomende");
	register_clcmd("shield", "BlokujKomende");
	register_clcmd("hegren", "BlokujKomende");
	register_clcmd("sgren", "BlokujKomende");
	register_clcmd("flash", "BlokujKomende");
	
	register_concmd("am_setlvl", "cmd_setlvl", ADMIN_KICK, "<name> <level>");
	
	g_msg_screenfade = get_user_msgid("ScreenFade");
	SyncHudObj = CreateHudSyncObj();
	SyncHudObj2 = CreateHudSyncObj();
	SyncHudObj3 = CreateHudSyncObj();
	doswiadczenia_za_zabojstwo = get_cvar_num("cod_killxp");
	doswiadczenie_za_bombe = get_cvar_num("cod_bombxp");
	doswiadczenie_za_kase = 1500;
	doswiadczenie_za_kasez = 9000;
	doswiadczenie_za_totek = 4000;
	doswiadczenie_za_fail = 1; 
	
	set_task(30.0, "Pomoc");
}

public plugin_cfg() 
{	
	server_cmd("sv_maxspeed 1600");
	// Cache CVARs after configs are loaded
	set_task(0.5, "event_round_start")
}

public Sklep(id)
{
	new menu = menu_create("Sklepik:", "Sklep_Handle");
	menu_additem(menu, "Ketonal \r[Leczy 20 HP] \yKoszt: \r1500$");
	menu_additem(menu, "Flegamina \r[Leczy 50 HP] \yKoszt: \r3000$");
	menu_additem(menu, "Aspirina \r[Leczy 100 HP] \yKoszt: \r5000$");
	menu_additem(menu, "RedBull \r[Wysoki Skok + Szybkie Chodzenie] \yKoszt: \r2000$");
	menu_additem(menu, "Lotto \r[Totek] \yKoszt: \r2000$");
	menu_additem(menu, "Doswiadczenie \r[Dodaje 100 EXP] \yKoszt: \r5000$");
	menu_additem(menu, "Super Doswiadczenie \r[Dodaje 9000 EXP] \yKoszt: \r10000$");
	menu_display(id, menu);
}

public Sklep_Handle(id, menu, item) 
{
	client_cmd(id, "spk QTM_CodMod/select");
	
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_CONTINUE;
	}
	menu_display(id, menu);
	new kasa_gracza = cs_get_user_money(id);
	new hp = get_user_health(id);
	switch(item) 
	{ 
		case 0:
		{
			new koszt = 1500;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			if(hp >= maksymalne_zdrowie_gracza[id])
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Jestes w pelni uleczony.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			new ammount=20;
			new nowe_zdrowie = (hp+ammount<maksymalne_zdrowie_gracza[id])? hp+ammount: maksymalne_zdrowie_gracza[id];
			set_user_health(id, nowe_zdrowie);
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles^x03 Ketonal");
		}
		case 1:
		{
			new koszt = 3000;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			if(hp >= maksymalne_zdrowie_gracza[id])
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Jestes w pelni uleczony.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			new ammount=50;
			new nowe_zdrowie = (hp+ammount<maksymalne_zdrowie_gracza[id])? hp+ammount: maksymalne_zdrowie_gracza[id];
			set_user_health(id, nowe_zdrowie);
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles^x03 Flegamine");
		}
		case 2:
		{
			new koszt = 5000;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			if(hp >= maksymalne_zdrowie_gracza[id])
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Jestes w pelni uleczony.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			new ammount=100;
			new nowe_zdrowie = (hp+ammount<maksymalne_zdrowie_gracza[id])? hp+ammount: maksymalne_zdrowie_gracza[id];
			set_user_health(id, nowe_zdrowie);
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles^x03 Aspirine");
		}
		case 3:
		{
			new koszt = 2000;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			set_user_gravity(id,get_user_gravity(id) - 0.3);
			set_user_maxspeed(id,get_user_maxspeed(id) + 10.0);
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles^x03 RedBulla");
		}
		case 4:
		{
			new kasa = cs_get_user_money(id)
			new koszt = 2000;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles kupon Totolotka");
			ColorChat(id,GREEN,"[SKLEP]^x01 Trwa losowanie...");
			new rand = random_num(0,15);
			switch(rand) 
			{
				case 0:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales^x03 10$^x01 !")
					cs_set_user_money(id, kasa + 10)
				}
				case 1:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales^x03 Redbulla^x01 !")
					set_user_gravity(id,get_user_gravity(id) - 0.3);
					set_user_maxspeed(id,get_user_maxspeed(id) + 10.0);
				}
				case 2:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Niestety nic nie wygrales !")
				}
				case 3:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales^x03 300$^x01 !")
					cs_set_user_money(id, kasa + 300)
				}
				case 4:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales^x03 1000$^x01 !")
					cs_set_user_money(id, kasa + 1000)
				}
				case 5:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Niestety nic nie wygrales !")
				}
				case 6:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Niestety nic nie wygrales !")
				}
				case 7:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Przegrales^x03 Wszystko^x01 !")
					cs_set_user_money(id, kasa - kasa_gracza)
				}
				case 8:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Niestety nic nie wygrales !")
				}
				case 9:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales^x03 300 EXP^x01 !")
					doswiadczenie_gracza[id] += doswiadczenie_za_kase;
					
				}
				case 10:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales 200 EXP^x01 !")
					doswiadczenie_gracza[id] += doswiadczenie_za_totek;
				}
				case 11:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Niestety nic nie wygrales !")
				}
				case 12:
				{
					ColorChat(id,GREEN,"[SKLEP]^x01 Wygrales^x03 1 EXP^x01 !")
					doswiadczenie_gracza[id] += doswiadczenie_za_fail;
				}
			}
			SprawdzPoziom(id);
			return PLUGIN_CONTINUE;
		}
		case 5:
		{
			new koszt = 5000;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			doswiadczenie_gracza[id] += doswiadczenie_za_kase;
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles^x03 Doswiadczenie");
			SprawdzPoziom(id);
		}
		case 6:
		{
			new koszt = 10000;
			if (kasa_gracza<koszt)
			{
				ColorChat(id,GREEN,"[SKLEP]^x01 Nie masz wystarczajacej ilosci pieniedzy.");
				return PLUGIN_CONTINUE;
			}
			cs_set_user_money(id, kasa_gracza-koszt);
			doswiadczenie_gracza[id] += doswiadczenie_za_kasez;
			ColorChat(id,GREEN,"[SKLEP]^x01 Kupiles^x03 Super Doswiadczenie");
			SprawdzPoziom(id);
		}
	}
	return PLUGIN_CONTINUE;
}

public plugin_precache()
{
	sprite_white = precache_model("sprites/white.spr") ;
	sprite_blast = precache_model("sprites/dexplo.spr");
	
	precache_sound("AM_CodMod/select.wav");
	precache_sound("AM_CodMod/start.wav");
	precache_sound("AM_CodMod/start2.wav");
	precache_sound("AM_CodMod/levelup.wav");
	
	precache_model("models/w_medkit.mdl");
	precache_model("models/rpgrocket.mdl");
	precache_model("models/mine.mdl");
}

public CmdStart(id, uc_handle)
{
	if(!is_user_alive(id))
		return FMRES_IGNORED;
	
	new button = get_uc(uc_handle, UC_Buttons);
	new oldbutton = get_user_oldbutton(id);
	new flags = get_entity_flags(id);
	
	if(informacje_przedmiotu_gracza[id][0] == 11 || klasa_gracza[id] == Rambo)
	{
		if((button & IN_JUMP) && !(flags & FL_ONGROUND) && !(oldbutton & IN_JUMP) && ilosc_skokow_gracza[id] > 0)
		{
			ilosc_skokow_gracza[id]--;
			new Float:velocity[3];
			entity_get_vector(id,EV_VEC_velocity,velocity);
			velocity[2] = random_float(265.0,285.0);
			entity_set_vector(id,EV_VEC_velocity,velocity);
		}
		else if(flags & FL_ONGROUND)
		{	
			ilosc_skokow_gracza[id] = 0;
			if(informacje_przedmiotu_gracza[id][0] == 11)
				ilosc_skokow_gracza[id]++;
			if(klasa_gracza[id] == Rambo)
				ilosc_skokow_gracza[id]++;
		}
	}
	
	if(button & IN_ATTACK)
	{
		new Float:punchangle[3];
		
		if(informacje_przedmiotu_gracza[id][0] == 20)
			entity_set_vector(id, EV_VEC_punchangle, punchangle);
		if(informacje_przedmiotu_gracza[id][0] == 23)
		{
			entity_get_vector(id, EV_VEC_punchangle, punchangle);
			for(new i=0; i<3;i++) 
				punchangle[i]*=0.9;
			entity_set_vector(id, EV_VEC_punchangle, punchangle);
		}
	}
	
	if(informacje_przedmiotu_gracza[id][0] == 28 && button & IN_JUMP && button & IN_DUCK && flags & FL_ONGROUND && get_gametime() > informacje_przedmiotu_gracza[id][1]+4.0)
	{
		informacje_przedmiotu_gracza[id][1] = floatround(get_gametime());
		new Float:velocity[3];
		VelocityByAim(id, 700, velocity);
		velocity[2] = random_float(265.0,285.0);
		entity_set_vector(id, EV_VEC_velocity, velocity);
	}
	
	
	return FMRES_IGNORED;
}

public Odrodzenie(id)
{
	if(!is_user_alive(id) || !is_user_connected(id))
		return PLUGIN_CONTINUE;
	
	if(nowa_klasa_gracza[id])
	{
		klasa_gracza[id] = nowa_klasa_gracza[id];
		nowa_klasa_gracza[id] = 0;
		strip_user_weapons(id);
		give_item(id, "weapon_knife");
		switch(get_user_team(id))
		{
			case 1: give_item(id, "weapon_glock18");
				case 2: give_item(id, "weapon_usp");
			}
		WczytajDane(id, klasa_gracza[id]);
	}
	czolganie[id] = false;
	zezwol_na_czolganie[id] = 0;	
	if(!klasa_gracza[id])
	{
		WybierzKlase(id);
		return PLUGIN_CONTINUE;
	}
	
	switch(klasa_gracza[id])
	{
		case Sniper:
		{
			give_item(id, "weapon_awp");
			give_item(id, "weapon_scout");
			give_item(id, "weapon_deagle");
			zezwol_na_czolganie[id]  = 1;
		}
		case Komandos:
		{
			give_item(id, "weapon_deagle");
			zezwol_na_czolganie[id]  = 1;
		}
		case Strzelec:
		{
			give_item(id, "weapon_m4a1");
			give_item(id, "weapon_ak47");
			give_item(id, "weapon_hegrenade");
			zezwol_na_czolganie[id]  = 1;
		}
		case Obronca:
		{
			give_item(id, "weapon_m249");
			give_item(id, "weapon_hegrenade");
			give_item(id, "weapon_flashbang");				
			give_item(id, "weapon_smokegrenade");
			zezwol_na_czolganie[id]  = 1;
		}
		case Medyk:
		{
			give_item(id, "weapon_ump45");
			give_item(id, "weapon_deagle");
			ilosc_apteczek_gracza[id] = 2;
			zezwol_na_czolganie[id]  = 1;
		}	
		case Wsparcie:
		{
			give_item(id, "weapon_mp5navy");
			ilosc_rakiet_gracza[id] = 2;
			zezwol_na_czolganie[id]  = 1;
		}
		case Saper:
		{
			give_item(id, "weapon_p90");
			ilosc_min_gracza[id] = 3;
			zezwol_na_czolganie[id]  = 1;
		}
		case Demolitions:
		{
			give_item(id, "weapon_aug");
			give_item(id, "weapon_hegrenade");
			give_item(id, "weapon_flashbang");
			give_item(id, "weapon_smokegrenade");
			ilosc_dynamitow_gracza[id] = 1;
			zezwol_na_czolganie[id]  = 1;
		}
		case Rusher:
		{
			give_item(id, "weapon_m3");
			give_item(id, "weapon_XM1014");
			zezwol_na_czolganie[id]  = 1;
		}
		case Rambo:
		{
			give_item(id, "weapon_famas");
			give_item(id, "weapon_MAC-10");
			zezwol_na_czolganie[id]  = 1;
		}
		case Partyzant:
		{
			give_item(id, "weapon_p90");
			give_item(id, "weapon_flashbang");
			set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 70);
			zezwol_na_czolganie[id]  = 1;
		}
		case Tajniak:
		{
			give_item(id, "weapon_deagle");
			ZmienUbranie(id, 0);
			zezwol_na_czolganie[id]  = 1;
		}
		case Szturmowiec:
		{
			give_item(id, "weapon_m4a1");
			give_item(id, "weapon_ak47");
			give_item(id, "weapon_deagle");
			give_item(id, "weapon_hegrenade");
			give_item(id, "weapon_ak47");
			zezwol_na_czolganie[id]  = 1;
		}
		case StrzelecWsparcia:
		{
			give_item(id, "weapon_g3sg1");
			ilosc_rakiet_gracza[id] = 1 ;
			zezwol_na_czolganie[id]  = 1;
		}
		case LekkiZolnierz:
		{
			give_item(id, "weapon_galil");
			give_item(id, "weapon_p228");
			zezwol_na_czolganie[id]  = 1;
		}
		case Diablo:
		{
			give_item(id, "weapon_mp5navy");
			give_item(id, "weapon_hegrenade");
			ilosc_min_gracza[id] = 2 ;
			zezwol_na_czolganie[id]  = 1;
		}
		case Almen:
		{
			give_item(id, "weapon_m4a1");
			give_item(id, "weapon_hegrenade");
			zezwol_na_czolganie[id]  = 1;
			
		}
		case Junior:
		{
			give_item(id, "weapon_ak47");
			give_item(id, "weapon_g3sg1");
			zezwol_na_czolganie[id]  = 1;
			
		}
		case Assasin:
		{
			give_item(id, "weapon_m4a1");
			give_item(id, "weapon_g3sg1");
			give_item(id, "weapon_deagle");
			zezwol_na_czolganie[id]  = 1;
			
		}
		
		case Billaden:
		{
			give_item(id, "weapon_flashbang");
			give_item(id, "weapon_flashbang");				
			give_item(id, "weapon_smokegrenade");
			give_item(id, "weapon_hegrenade");
			give_item(id, "weapon_ak47");
			zezwol_na_czolganie[id]  = 1;
			
		}
		case Lucyfer:
		{
			give_item(id, "weapon_m4a1");
			give_item(id, "weapon_flashbang");
			give_item(id, "weapon_flashbang");				
			give_item(id, "weapon_smokegrenade");
			zezwol_na_czolganie[id]  = 1;
			
		}
		case SWAT:
		{
			give_item(id, "weapon_deagle");
			give_item(id, "weapon_shield");
			give_item(id, "weapon_flashbang");				
			give_item(id, "weapon_smokegrenade");
			zezwol_na_czolganie[id]  = 1;
			
		}
		
		
	}
	
	if(gracz_resetuje[id])
	{
		ResetujPunkty(id);
		gracz_resetuje[id] = false;
	}
	
	if(punkty_gracza[id]>0)
		PrzydzielPunkty(id);
	
	if(informacje_przedmiotu_gracza[id][0] == 10 || informacje_przedmiotu_gracza[id][0] == 9)
		give_item(id, "weapon_hegrenade");
	
	if(informacje_przedmiotu_gracza[id][0] == 9)
		ZmienUbranie(id, 0);
	
	if(informacje_przedmiotu_gracza[id][0] == 29)
		zezwol_na_czolganie[id] = 1;
	
	
	if(informacje_przedmiotu_gracza[id][0] == 1)
		set_user_footsteps(id, 1);
	else
		set_user_footsteps(id, 0);
	
	if(informacje_przedmiotu_gracza[id][0] == 13)
		give_item(id, "weapon_awp");
	
	if(informacje_przedmiotu_gracza[id][0] == 19)
		informacje_przedmiotu_gracza[id][1] = 1;
	
	if(informacje_przedmiotu_gracza[id][0] == 27)
		informacje_przedmiotu_gracza[id][1] = 3;
	
	new weapons[32];
	new weaponsnum;
	get_user_weapons(id, weapons, weaponsnum);
	for(new i=0; i<weaponsnum; i++)
		if(is_user_alive(id))
		if(maxAmmo[weapons[i]] > 0)
		cs_set_user_bpammo(id, weapons[i], maxAmmo[weapons[i]]);
	
	redukcja_obrazen_gracza[id] = (47.3057*(1.0-floatpower( 2.7182, -0.06798*float(wytrzymalosc_gracza[id])))/100);
	maksymalne_zdrowie_gracza[id] = zdrowie_klasy[klasa_gracza[id]]+zdrowie_gracza[id]*2;
	szybkosc_gracza[id] = STANDARDOWA_SZYBKOSC*szybkosc_klasy[klasa_gracza[id]]+floatround(kondycja_gracza[id]*1.3);
	
	if(informacje_przedmiotu_gracza[id][0] == 18)
	{
		maksymalne_zdrowie_gracza[id] += 100;
		szybkosc_gracza[id] -= 0.4;
	}
	
	if(informacje_przedmiotu_gracza[id][0] == 25)
	{
		maksymalne_zdrowie_gracza[id] += 50;
		szybkosc_gracza[id] -= 0.3;
	}
	
	set_user_armor(id, pancerz_klasy[klasa_gracza[id]]);
	set_user_health(id, maksymalne_zdrowie_gracza[id]);
	if(informacje_przedmiotu_gracza[id][0] == 17)
		set_user_armor(id, 500);
	
	return PLUGIN_CONTINUE;
}

public PoczatekRundy()	
{
	freezetime = false;
	for(new id=0;id<=32;id++)
	{
		if(!is_user_alive(id))
			continue;
		
		set_task(0.1, "UstawSzybkosc", id+ZADANIE_USTAW_SZYBKOSC);
		
		switch(get_user_team(id))
		{
			case 1: client_cmd(id, "spk AM_CodMod/start");
				case 2: client_cmd(id, "spk AM_CodMod/start2");
			}
	}
}

public NowaRunda()
{
	freezetime = true;
	new iEnt = find_ent_by_class(-1, "Mine");
	while(iEnt > 0) 
	{
		remove_entity(iEnt);
		iEnt = find_ent_by_class(iEnt, "Mine");
	}
	
	for(new i = 0; i < sizeof czolganie; i++)
		czolganie[i] = false
	client_cmd(0,"-duck")
}

public TakeDamage(this, idinflictor, idattacker, Float:damage, damagebits)
{
	if(!is_user_alive(this) || !is_user_connected(this) || informacje_przedmiotu_gracza[this][0] == 24 || !is_user_connected(idattacker) || get_user_team(this) == get_user_team(idattacker) || !klasa_gracza[idattacker])
		return HAM_IGNORED;
	
	new health = get_user_health(this);
	new weapon = get_user_weapon(idattacker);
	
	if(health < 2)
		return HAM_IGNORED;
	
	if(informacje_przedmiotu_gracza[this][0] == 27 && informacje_przedmiotu_gracza[this][1]>0)
	{
		informacje_przedmiotu_gracza[this][1]--;
		return HAM_SUPERCEDE;
	}
	
	if(wytrzymalosc_gracza[this]>0)
		damage -= redukcja_obrazen_gracza[this]*damage;
	
	if(informacje_przedmiotu_gracza[this][0] == 2 || informacje_przedmiotu_gracza[this][0] == 3)
		damage-=(float(informacje_przedmiotu_gracza[this][1])<damage)? float(informacje_przedmiotu_gracza[this][1]): damage;
	
	if(informacje_przedmiotu_gracza[idattacker][0] == 5 && !UTIL_In_FOV(this, idattacker) && UTIL_In_FOV(idattacker, this))
		damage*=2.0;
	
	if(informacje_przedmiotu_gracza[idattacker][0] == 10)
		damage+=informacje_przedmiotu_gracza[idattacker][1];
	
	if(informacje_przedmiotu_gracza[this][0] == 12)
		damage-=(5.0<damage)? 5.0: damage;
	
	if(weapon == CSW_AWP && informacje_przedmiotu_gracza[idattacker][0] == 13)
		damage=float(health);
	
	if(informacje_przedmiotu_gracza[idattacker][0] == 21)
		damage+=10;
	
	if(informacje_przedmiotu_gracza[idattacker][0] == 22)
		damage+=20;
	
	if(idinflictor != idattacker && entity_get_int(idinflictor, EV_INT_movetype) != 5)
	{
		if((informacje_przedmiotu_gracza[idattacker][0] == 9 && random_num(1, informacje_przedmiotu_gracza[idattacker][1]) == 1) || informacje_przedmiotu_gracza[idattacker][0] == 10)
			damage = float(health);	
	}
	
	if(weapon == CSW_KNIFE)
	{
		if(informacje_przedmiotu_gracza[this][0] == 4)
			damage=damage*1.4+inteligencja_gracza[idattacker];
		if(informacje_przedmiotu_gracza[idattacker][0] == 8 || (klasa_gracza[idattacker] == Sniper && random(2) == 2) || klasa_gracza[idattacker] == Komandos && !(get_user_button(idattacker) & IN_ATTACK))
			damage = float(health);
	}
	
	if(informacje_przedmiotu_gracza[this][0] == 26 && random_num(1, informacje_przedmiotu_gracza[this][1]) == 1)
	{
		SetHamParamEntity(3, this);
		SetHamParamEntity(1, idattacker);
	}
	
	
	SetHamParamFloat(4, damage);
	return HAM_IGNORED;
}

public Damage(id)
{
	new attacker = get_user_attacker(id);
	new damage = read_data(2);
	if(!is_user_alive(attacker) || !is_user_connected(attacker) || id == attacker || !klasa_gracza[attacker])
		return PLUGIN_CONTINUE;
	
	if(informacje_przedmiotu_gracza[attacker][0] == 12 && random_num(1, informacje_przedmiotu_gracza[id][1]) == 1)
		Display_Fade(id,1<<14,1<<14 ,1<<16,255,155,50,230);
	
	if(get_user_team(id) != get_user_team(attacker))
	{
		while(damage>20)
		{
			damage-=20;
			doswiadczenie_gracza[attacker]++;
		}
	}
	SprawdzPoziom(attacker);
	return PLUGIN_CONTINUE;
}

public Death()
{
	new id = read_data(2);
	new attacker = read_data(1);
	
	if(!is_user_alive(attacker) || !is_user_connected(attacker))
		return PLUGIN_CONTINUE;
	
	new weapon = get_user_weapon(attacker);
	new zdrowie = get_user_health(attacker);
	
	if(get_user_team(id) != get_user_team(attacker) && klasa_gracza[attacker])
	{
		new nowe_doswiadczenie = 0;
		
		nowe_doswiadczenie += doswiadczenia_za_zabojstwo;
		
		if(klasa_gracza[id] == Rambo && klasa_gracza[attacker] != Rambo)
			nowe_doswiadczenie += doswiadczenia_za_zabojstwo*2;
		
		if(poziom_gracza[id] > poziom_gracza[attacker])
			nowe_doswiadczenie += poziom_gracza[id] - poziom_gracza[attacker];
		
		if(klasa_gracza[attacker] == Rambo || informacje_przedmiotu_gracza[attacker][0] == 15 && maxClip[weapon] != -1)
		{
			
			new nowe_zdrowie = (zdrowie+20<maksymalne_zdrowie_gracza[attacker])? zdrowie+20: maksymalne_zdrowie_gracza[attacker];
			set_user_clip(attacker, maxClip[weapon]);
			set_user_health(attacker, nowe_zdrowie);
		}
		#if defined BOTY
		if(is_user_bot2(attacker) && random(9) == 0)
			WyrzucPrzedmiot(id);
		#endif
		if(!informacje_przedmiotu_gracza[attacker][0])
			DajPrzedmiot(attacker, random_num(1, sizeof nazwy_przedmiotow-1));
		
		if(informacje_przedmiotu_gracza[attacker][0] == 14)
		{
			new nowe_zdrowie = (zdrowie+50<maksymalne_zdrowie_gracza[attacker])? zdrowie+50: maksymalne_zdrowie_gracza[attacker];
			set_user_health(attacker, nowe_zdrowie);
		}
		
		set_hudmessage(255, 212, 0, 0.50, 0.33, 1, 6.0, 4.0);
		ShowSyncHudMsg(attacker, SyncHudObj2, "+%i", nowe_doswiadczenie);
		
		doswiadczenie_gracza[attacker] += nowe_doswiadczenie;
	}
	
	SprawdzPoziom(attacker);
	
	if(informacje_przedmiotu_gracza[id][0] == 7 && random_num(1, informacje_przedmiotu_gracza[id][1]) == 1)
		set_task(0.1, "Wskrzes", id+ZADANIE_WSKRZES);
	
	return PLUGIN_CONTINUE;
}

public client_connect(id)
{
	//resetuje umiejetnosci
	klasa_gracza[id] = 0;
	poziom_gracza[id] = 0;
	doswiadczenie_gracza[id] = 0;
	punkty_gracza[id] = 0;
	zdrowie_gracza[id] = 0;
	inteligencja_gracza[id] = 0;
	wytrzymalosc_gracza[id] = 0;
	kondycja_gracza[id] = 0;
	maksymalne_zdrowie_gracza[id] = 0;
	szybkosc_gracza[id] = 0.0;
	
	
	get_user_name(id, nazwa_gracza[id], 63);
	
	remove_task(id+ZADANIE_POKAZ_INFORMACJE);
	remove_task(id+ZADANIE_POKAZ_REKLAME);	
	remove_task(id+ZADANIE_USTAW_SZYBKOSC);
	remove_task(id+ZADANIE_WSKRZES);
	remove_task(id+ZADANIE_WYSZKOLENIE_SANITARNE);
	
	set_task(10.0, "PokazReklame", id+ZADANIE_POKAZ_REKLAME);
	set_task(3.0, "PokazInformacje", id+ZADANIE_POKAZ_INFORMACJE);
	
	//resetuje przedmioty
	UsunPrzedmiot(id);
}

public client_disconnect(id)
{
	remove_task(id+ZADANIE_POKAZ_INFORMACJE);
	remove_task(id+ZADANIE_POKAZ_REKLAME);	
	remove_task(id+ZADANIE_USTAW_SZYBKOSC);
	remove_task(id+ZADANIE_WSKRZES);
	remove_task(id+ZADANIE_WYSZKOLENIE_SANITARNE);
	
	ZapiszDane(id);
	UsunPrzedmiot(id);
}

public RozbrajaBombe(id)
	if(klasa_gracza[id])
	rozbrajajacy = id;

public BombaPodlozona()
{
	new Players[32], playerCount, id;
	get_players(Players, playerCount, "aeh", "TERRORIST");
	
	if(get_playersnum() > 1)
	{
		doswiadczenie_gracza[podkladajacy] += doswiadczenie_za_bombe;
		for (new i=0; i<playerCount; i++) 
		{
			id = Players[i];
			if(!klasa_gracza[id])
				continue;
			
			if(id != podkladajacy)
			{
				doswiadczenie_gracza[id] += doswiadczenia_za_zabojstwo;
				client_print(id, print_chat, "[COD:AM] Otrzymales %i doswiadczenia za podlozenie bomby przez twoj team.", doswiadczenia_za_zabojstwo);
			}
			else
			{
				client_print(id, print_chat, "[COD:AM] Otrzymales %i doswiadczenia za podlozenie bomby.", doswiadczenie_za_bombe);
			}
			SprawdzPoziom(id);
		}
	}
}

public BombaRozbrojona()
{
	new Players[32], playerCount, id;
	get_players(Players, playerCount, "aeh", "CT");
	
	doswiadczenie_gracza[rozbrajajacy] += doswiadczenie_za_bombe;
	for (new i=0; i<playerCount; i++) 
	{
		id = Players[i];
		if(!klasa_gracza[id])
			continue;
		if(id != rozbrajajacy)
		{
			doswiadczenie_gracza[id]+= doswiadczenia_za_zabojstwo;
			client_print(id, print_chat, "[COD:AM] Otrzymales %i doswiadczenia za rozbrojenie bomby przez twoj team.", doswiadczenia_za_zabojstwo);
		}
		else
			client_print(id, print_chat, "[COD:AM] Otrzymales %i doswiadczenia za rozbrojenie bomby.",doswiadczenie_za_bombe);
		SprawdzPoziom(id);
	}
}

public OpisKlasy(id)
{
	new menu = menu_create("Wybierz klase:", "OpisKlasy_Handle");
	for(new i=1; i<sizeof nazwy_klas; i++)
		menu_additem(menu, nazwy_klas[i]);
	menu_setprop(menu, MPROP_EXITNAME, "Wyjdz");
	menu_setprop(menu, MPROP_BACKNAME, "Poprzednia strona");
	menu_setprop(menu, MPROP_NEXTNAME, "Nastepna strona");
	menu_display(id, menu);
	
	client_cmd(id, "spk AM_CodMod/select");
}

public OpisKlasy_Handle(id, menu, item)
{
	client_cmd(id, "spk AM_CodMod/select");
	
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_CONTINUE;
	}
	client_print(id, print_chat, "[COD:AM] %s: %s", nazwy_klas[item+1], opisy_klas[item+1]);
	menu_display(id, menu);
	
	return PLUGIN_CONTINUE;
}

public WybierzKlase(id)
{
	new menu = menu_create("Wybierz klase:", "WybierzKlase_Handle");
	new klasa[50];
	for(new i=1; i<sizeof nazwy_klas; i++)
	{
		WczytajDane(id, i);
		format(klasa, 49, "%s \yPoziom: %i", nazwy_klas[i], poziom_gracza[id]);
		menu_additem(menu, klasa);
	}
	
	WczytajDane(id, klasa_gracza[id]);
	
	menu_setprop(menu, MPROP_EXITNAME, "Wyjdz");
	menu_setprop(menu, MPROP_BACKNAME, "Poprzednia strona");
	menu_setprop(menu, MPROP_NEXTNAME, "Nastepna strona");
	menu_display(id, menu);
	
	client_cmd(id, "spk AM_CodMod/select");
	#if defined BOTY
	if(is_user_bot2(id))
		WybierzKlase_Handle(id, menu, random(sizeof nazwy_klas-1));
	#endif
}

public WybierzKlase_Handle(id, menu, item)
{
	client_cmd(id, "spk AM_CodMod/select");
	
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_CONTINUE;
	}	
	
	item++;
	
	if(item == klasa_gracza[id])
		return PLUGIN_CONTINUE;
	
	if(item == Szturmowiec && !(get_user_flags(id) & ADMIN_KICK))
	{
		client_print(id, print_chat, "[COD:AM] Nie masz uprawnien aby kozystac z klasy premium.");
		WybierzKlase(id);
		return PLUGIN_CONTINUE;
	}
	if(item == Almen && !(get_user_flags(id) & ADMIN_IMMUNITY))
	{
		client_print(id, print_chat, "[COD:AM] Nie masz uprawnien aby kozystac z klasy premium.");
		WybierzKlase(id);
		return PLUGIN_CONTINUE;
	}
	if(item == Junior && !(get_user_flags(id) & ADMIN_IMMUNITY))
	{
		client_print(id, print_chat, "[COD:AM] Nie masz uprawnien aby kozystac z klasy premium.");
		WybierzKlase(id);
		return PLUGIN_CONTINUE;
	}
	if(item == Assasin && !(get_user_flags(id) & ADMIN_SLAY))
	{
		client_print(id, print_chat, "[COD:AM] Nie masz uprawnien aby kozystac z klasy premium.");
		WybierzKlase(id);
		return PLUGIN_CONTINUE;
	}
	
	
	
	if(klasa_gracza[id])
	{
		nowa_klasa_gracza[id] = item;
		client_print(id, print_chat, "[COD:AM] Klasa zostanie zmieniona w nastepnej rundzie.");
	}
	else
	{
		klasa_gracza[id] = item;
		WczytajDane(id, klasa_gracza[id]);
		Odrodzenie(id);
	}
	return PLUGIN_CONTINUE;
}

public PrzydzielPunkty(id)
{
	new magicznasila[65];
	new zycie[60];
	new odpornosc[60];
	new bieg[60];
	new tytul[25];
	format(magicznasila, 64, "Magicznasila: \r%i \y(Zwieksza obrazenia zadawane przedmiotami)", inteligencja_gracza[id]);
	format(zycie, 59, "Zycie: \r%i \y(Zwieksza zycie)", zdrowie_gracza[id]);
	format(odpornosc, 59, "Odpornosc: \r%i \y(Zmniejsza obrazenia)", wytrzymalosc_gracza[id]);
	format(bieg, 59, "Bieg: \r%i \y(Zwieksza tempo chodu)", kondycja_gracza[id]);
	format(tytul, 24, "Przydziel Punkty(%i):", punkty_gracza[id]);
	new menu = menu_create(tytul, "PrzydzielPunkty_Handler");
	menu_additem(menu, magicznasila);
	menu_additem(menu, zycie);
	menu_additem(menu, odpornosc);
	menu_additem(menu,bieg);
	menu_display(id, menu);
	#if defined BOTY
	if(is_user_bot2(id))
		PrzydzielPunkty_Handler(id, menu, random(4));
	#endif
}

public PrzydzielPunkty_Handler(id, menu, item)
{
	client_cmd(id, "spk AM_CodMod/select");
	
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_CONTINUE;
	}
	
	switch(item) 
	{ 
		case 0: 
		{	
			if(inteligencja_gracza[id]<5000)
				inteligencja_gracza[id]++;
			else 
				client_print(id, print_chat, "[COD:AM] Maxymalny poziom Magicznej sily osiagniety");
			
		}
		case 1: 
		{	
			if(zdrowie_gracza[id]<5000)
				zdrowie_gracza[id]++;
			else 
				client_print(id, print_chat, "[COD:AM] Maxymalny poziom zycia osiagniety");
		}
		case 2: 
		{	
			if(wytrzymalosc_gracza[id]<5000)
				wytrzymalosc_gracza[id]++;
			else 
				client_print(id, print_chat, "[COD:AM] Maxymalny poziom odpornosci osiagniety");
			
		}
		case 3: 
		{	
			if(kondycja_gracza[id]<5000)
				kondycja_gracza[id]++;
			else 
				client_print(id, print_chat, "[COD:AM] Maxymalny poziom Biegu osiagniety");
		}
	}
	
	punkty_gracza[id]--;
	
	if(punkty_gracza[id]>0)
		PrzydzielPunkty(id);
	
	return PLUGIN_CONTINUE;
}

public ResetujPunkty(id)
{	
	punkty_gracza[id] = poziom_gracza[id]*2-2;
	inteligencja_gracza[id] = 0;
	zdrowie_gracza[id] = 0;
	kondycja_gracza[id] = 0;
	wytrzymalosc_gracza[id] = 0;
}

public KomendaResetujPunkty(id)
{	
	client_print(id, print_chat, "[COD:AM] Umiejetnosci zostana zresetowane w nastepnej rundzie.");
	client_cmd(id, "spk AM_CodMod/select");
	gracz_resetuje[id] = true;
}

public WyszkolenieSanitarne(id)
{
	id -= ZADANIE_WYSZKOLENIE_SANITARNE;
	if(informacje_przedmiotu_gracza[id][0] != 16)
		return PLUGIN_CONTINUE;
	set_task(5.0, "WyszkolenieSanitarne", id+ZADANIE_WYSZKOLENIE_SANITARNE);
	if(!is_user_alive(id))
		return PLUGIN_CONTINUE;
	new health = get_user_health(id);
	new new_health = (health+10<maksymalne_zdrowie_gracza[id])?health+10:maksymalne_zdrowie_gracza[id];
	set_user_health(id, new_health);
	return PLUGIN_CONTINUE;
}

public StworzApteczke(id)
{
	if (!ilosc_apteczek_gracza[id])
	{
		client_print(id, print_center, "Masz tylko 2 apteczki na runde!");
		return PLUGIN_CONTINUE;
	}
	
	if(inteligencja_gracza[id] < 1)
		client_print(id, print_center, "Aby wzmocnic apteczke, zwieksz inteligencje!");
	
	ilosc_apteczek_gracza[id]--;
	
	new Float:origin[3];
	entity_get_vector(id, EV_VEC_origin, origin);
	
	new ent = create_entity("info_target");
	entity_set_string(ent, EV_SZ_classname, "Apteczka");
	entity_set_edict(ent, EV_ENT_owner, id);
	entity_set_int(ent, EV_INT_solid, SOLID_NOT);
	entity_set_vector(ent, EV_VEC_origin, origin);
	entity_set_float(ent, EV_FL_ltime, halflife_time() + 7 + 0.1);
	
	
	entity_set_model(ent, "models/w_medkit.mdl");
	set_rendering ( ent, kRenderFxGlowShell, 255,0,0, kRenderFxNone, 255 ) 	;
	drop_to_floor(ent);
	
	entity_set_float(ent, EV_FL_nextthink, halflife_time() + 0.1);
	
	return PLUGIN_CONTINUE;
}

public ApteczkaThink(ent)
{
	new id = entity_get_edict(ent, EV_ENT_owner);
	new totem_dist = 300;
	new totem_heal = 5+floatround(inteligencja_gracza[id]*0.5);
	if (entity_get_edict(ent, EV_ENT_euser2) == 1)
	{		
		new Float:forigin[3], origin[3];
		entity_get_vector(ent, EV_VEC_origin, forigin);
		FVecIVec(forigin,origin);
		
		new entlist[33];
		new numfound = find_sphere_class(0,"player",totem_dist+0.0,entlist, 32,forigin);
		
		for (new i=0; i < numfound; i++)
		{		
			new pid = entlist[i];
			
			if (get_user_team(pid) != get_user_team(id))
				continue;
			
			new zdrowie = get_user_health(pid);
			new nowe_zdrowie = (zdrowie+totem_heal<maksymalne_zdrowie_gracza[pid])?zdrowie+totem_heal:maksymalne_zdrowie_gracza[pid];
			if (is_user_alive(pid)) set_user_health(pid, nowe_zdrowie);		
		}
		
		entity_set_edict(ent, EV_ENT_euser2, 0);
		entity_set_float(ent, EV_FL_nextthink, halflife_time() + 1.5);
		
		return PLUGIN_CONTINUE;
	}
	
	if (entity_get_float(ent, EV_FL_ltime) < halflife_time() || !is_user_alive(id))
	{
		remove_entity(ent);
		return PLUGIN_CONTINUE;
	}
	
	if (entity_get_float(ent, EV_FL_ltime)-2.0 < halflife_time())
		set_rendering ( ent, kRenderFxNone, 255,255,255, kRenderTransAlpha, 100 ) ;
	
	new Float:forigin[3], origin[3];
	entity_get_vector(ent, EV_VEC_origin, forigin);
	FVecIVec(forigin,origin);
	
	//Find people near and give them health
	message_begin( MSG_BROADCAST, SVC_TEMPENTITY, origin );
	write_byte( TE_BEAMCYLINDER );
	write_coord( origin[0] );
	write_coord( origin[1] );
	write_coord( origin[2] );
	write_coord( origin[0] );
	write_coord( origin[1] + totem_dist );
	write_coord( origin[2] + totem_dist );
	write_short( sprite_white );
	write_byte( 0 ); // startframe
	write_byte( 0 ); // framerate
	write_byte( 10 ); // life
	write_byte( 10 ); // width
	write_byte( 255 ); // noise
	write_byte( 255 ); // r, g, b
	write_byte( 100 );// r, g, b
	write_byte( 100 ); // r, g, b
	write_byte( 128 ); // brightness
	write_byte( 5 ); // speed
	message_end();
	
	entity_set_edict(ent, EV_ENT_euser2 ,1);
	entity_set_float(ent, EV_FL_nextthink, halflife_time() + 0.5);
	
	
	return PLUGIN_CONTINUE;
	
}

public StworzRakiete(id)
{
	if (!ilosc_rakiet_gracza[id])
	{
		client_print(id, print_center, "Wykrzystales juz wszystkie rakiety!");
		return PLUGIN_CONTINUE;
	}
	
	if(poprzednia_rakieta_gracza[id] + 5.0 > get_gametime())
	{
		client_print(id, print_center, "Rakiet mozesz uzywac co 5 sekund!");
		return PLUGIN_CONTINUE;
	}
	
	if (is_user_alive(id))
	{	
		if(inteligencja_gracza[id] < 2)
			client_print(id, print_center, "Aby wzmocnic rakiete, zwieksz inteligencje!");
		
		poprzednia_rakieta_gracza[id] = get_gametime();
		ilosc_rakiet_gracza[id]--;
		
		new Float: Origin[3], Float: vAngle[3], Float: Velocity[3];
		
		entity_get_vector(id, EV_VEC_v_angle, vAngle);
		entity_get_vector(id, EV_VEC_origin , Origin);
		
		new Ent = create_entity("info_target");
		
		entity_set_string(Ent, EV_SZ_classname, "Rocket");
		entity_set_model(Ent, "models/rpgrocket.mdl");
		
		vAngle[0] *= -1.0;
		
		entity_set_origin(Ent, Origin);
		entity_set_vector(Ent, EV_VEC_angles, vAngle);
		
		entity_set_int(Ent, EV_INT_effects, 2);
		entity_set_int(Ent, EV_INT_solid, SOLID_BBOX);
		entity_set_int(Ent, EV_INT_movetype, MOVETYPE_FLY);
		entity_set_edict(Ent, EV_ENT_owner, id);
		
		VelocityByAim(id, 1000 , Velocity);
		entity_set_vector(Ent, EV_VEC_velocity ,Velocity);
	}	
	return PLUGIN_CONTINUE;
}

public PolozDynamit(id)
{
	if(!ilosc_dynamitow_gracza[id])
	{
		client_print(id, print_center, "Wykorzystales juz caly dynamit!");
		return PLUGIN_CONTINUE;
	}
	
	if(inteligencja_gracza[id] < 2)
		client_print(id, print_center, "Aby wzmocnic dynamit, zwieksz inteligencje!");
	
	ilosc_dynamitow_gracza[id]--;
	new Float:fOrigin[3], iOrigin[3];
	entity_get_vector( id, EV_VEC_origin, fOrigin);
	iOrigin[0] = floatround(fOrigin[0]);
	iOrigin[1] = floatround(fOrigin[1]);
	iOrigin[2] = floatround(fOrigin[2]);
	
	message_begin(MSG_BROADCAST,SVC_TEMPENTITY, iOrigin);
	write_byte(TE_EXPLOSION);
	write_coord(iOrigin[0]);
	write_coord(iOrigin[1]);
	write_coord(iOrigin[2]);
	write_short(sprite_blast);
	write_byte(32);
	write_byte(20);
	write_byte(0);
	message_end();
	
	message_begin( MSG_BROADCAST, SVC_TEMPENTITY, iOrigin );
	write_byte( TE_BEAMCYLINDER );
	write_coord( iOrigin[0] );
	write_coord( iOrigin[1] );
	write_coord( iOrigin[2] );
	write_coord( iOrigin[0] );
	write_coord( iOrigin[1] + 300 );
	write_coord( iOrigin[2] + 300 );
	write_short( sprite_white );
	write_byte( 0 ); // startframe
	write_byte( 0 ); // framerate
	write_byte( 10 ); // life
	write_byte( 10 ); // width
	write_byte( 255 ); // noise
	write_byte( 255 ); // r, g, b
	write_byte( 100 );// r, g, b
	write_byte( 100 ); // r, g, b
	write_byte( 128 ); // brightness
	write_byte( 8 ); // speed
	message_end();
	
	new entlist[33];
	new numfound = find_sphere_class(id, "player", 300.0 , entlist, 32);
	
	for (new i=0; i < numfound; i++)
	{		
		new pid = entlist[i];
		
		if (!is_user_alive(pid) || get_user_team(id) == get_user_team(pid) || informacje_przedmiotu_gracza[pid][0] == 24)
			continue;
		ExecuteHam(Ham_TakeDamage, pid, 0, id, 90.0+float(inteligencja_gracza[id]) , 1);
	}
	return PLUGIN_CONTINUE;
}

public PostawMine(id)
{
	if (!ilosc_min_gracza[id])
	{
		client_print(id, print_center, "Wykorzystales juz wszystkie miny!");
		return PLUGIN_CONTINUE;
	}
	
	if(inteligencja_gracza[id] < 2)
		client_print(id, print_center, "Aby wzmocnic miny, zwieksz inteligencje!");
	
	ilosc_min_gracza[id]--;
	
	new Float:origin[3];
	entity_get_vector(id, EV_VEC_origin, origin);
	
	new ent = create_entity("info_target");
	entity_set_string(ent ,EV_SZ_classname, "Mine");
	entity_set_edict(ent ,EV_ENT_owner, id);
	entity_set_int(ent, EV_INT_movetype, MOVETYPE_TOSS);
	entity_set_origin(ent, origin);
	entity_set_int(ent, EV_INT_solid, SOLID_BBOX);
	
	entity_set_model(ent, "models/mine.mdl");
	entity_set_size(ent,Float:{-16.0,-16.0,0.0},Float:{16.0,16.0,2.0});
	
	drop_to_floor(ent);
	
	entity_set_float(ent,EV_FL_nextthink,halflife_time() + 0.01) ;
	
	set_rendering(ent,kRenderFxNone, 0,0,0, kRenderTransTexture,50)	;
	
	
	return PLUGIN_CONTINUE;
}

public DotykMiny(ent, id)
{
	new attacker = entity_get_edict(ent, EV_ENT_owner);
	if (get_user_team(attacker) != get_user_team(id))
	{
		new Float:fOrigin[3], iOrigin[3];
		entity_get_vector( ent, EV_VEC_origin, fOrigin);
		iOrigin[0] = floatround(fOrigin[0]);
		iOrigin[1] = floatround(fOrigin[1]);
		iOrigin[2] = floatround(fOrigin[2]);
		
		message_begin(MSG_BROADCAST,SVC_TEMPENTITY, iOrigin);
		write_byte(TE_EXPLOSION);
		write_coord(iOrigin[0]);
		write_coord(iOrigin[1]);
		write_coord(iOrigin[2]);
		write_short(sprite_blast);
		write_byte(32); // scale
		write_byte(20); // framerate
		write_byte(0);// flags
		message_end();
		new entlist[33];
		new numfound = find_sphere_class(ent,"player", 90.0 ,entlist, 32);
		
		for (new i=0; i < numfound; i++)
		{		
			new pid = entlist[i];
			
			if (!is_user_alive(pid) || get_user_team(attacker) == get_user_team(pid) || informacje_przedmiotu_gracza[pid][0] == 24 || klasa_gracza[id] == Obronca)
				continue;
			
			ExecuteHam(Ham_TakeDamage, pid, ent, attacker, 90.0+float(inteligencja_gracza[attacker]) , 1);
		}
		remove_entity(ent);
	}
}

public DotykRakiety(ent)
{
	if ( !is_valid_ent(ent))
		return;
	
	new attacker = entity_get_edict(ent, EV_ENT_owner);
	
	new Float:fOrigin[3], iOrigin[3];
	entity_get_vector( ent, EV_VEC_origin, fOrigin);	
	iOrigin[0] = floatround(fOrigin[0]);
	iOrigin[1] = floatround(fOrigin[1]);
	iOrigin[2] = floatround(fOrigin[2]);
	
	message_begin(MSG_BROADCAST,SVC_TEMPENTITY, iOrigin);
	write_byte(TE_EXPLOSION);
	write_coord(iOrigin[0]);
	write_coord(iOrigin[1]);
	write_coord(iOrigin[2]);
	write_short(sprite_blast);
	write_byte(32); // scale
	write_byte(20); // framerate
	write_byte(0);// flags
	message_end();
	
	new entlist[33];
	new numfound = find_sphere_class(ent, "player", 230.0, entlist, 32);
	
	for (new i=0; i < numfound; i++)
	{		
		new pid = entlist[i];
		
		if (!is_user_alive(pid) || get_user_team(attacker) == get_user_team(pid) || informacje_przedmiotu_gracza[pid][0] == 24)
			continue;
		ExecuteHam(Ham_TakeDamage, pid, ent, attacker, 55.0+float(inteligencja_gracza[attacker]) , 1);
	}
	remove_entity(ent);
}	

public CurWeapon(id)
{
	if(freezetime || !klasa_gracza[id])
		return PLUGIN_CONTINUE;
	
	new weapon = read_data(2);
	
	UstawSzybkosc(id);
	
	if(weapon == CSW_C4)
		podkladajacy = id;
	return PLUGIN_CONTINUE;
}

public EmitSound(id, iChannel, szSound[], Float:fVol, Float:fAttn, iFlags, iPitch ) 
{
	if(equal(szSound, "common/wpn_denyselect.wav"))
	{
		UzyjPrzedmiotu(id);
		return FMRES_SUPERCEDE;
	}
	
	return FMRES_IGNORED;
}

public UzyjPrzedmiotu(id)
{
	if(informacje_przedmiotu_gracza[id][0] == 19 && informacje_przedmiotu_gracza[id][1]>0) 
	{
		set_user_health(id, maksymalne_zdrowie_gracza[id]);
		informacje_przedmiotu_gracza[id][1]--;
	}
	
	if(ilosc_apteczek_gracza[id]>0)
		StworzApteczke(id);
	if(ilosc_rakiet_gracza[id]>0)
		StworzRakiete(id);
	if(ilosc_min_gracza[id]>0)
		PostawMine(id);
	if(ilosc_dynamitow_gracza[id]>0)
		PolozDynamit(id);
	
	return PLUGIN_HANDLED;
}

public ZapiszDane(id)
{
	new vaultkey[64],vaultdata[256];
	format(vaultkey,63,"%s-%i-cod", nazwa_gracza[id], klasa_gracza[id]);
	format(vaultdata,255,"%i#%i#%i#%i#%i#%i", doswiadczenie_gracza[id], poziom_gracza[id], inteligencja_gracza[id], zdrowie_gracza[id], wytrzymalosc_gracza[id], kondycja_gracza[id]);
	nvault_set(g_vault,vaultkey,vaultdata);
}

public WczytajDane(id, klasa)
{
	new vaultkey[64],vaultdata[256];
	format(vaultkey,63,"%s-%i-cod", nazwa_gracza[id], klasa);
	format(vaultdata,255,"%i#%i#%i#%i#%i#%i", doswiadczenie_gracza[id], poziom_gracza[id], inteligencja_gracza[id], zdrowie_gracza[id], wytrzymalosc_gracza[id], kondycja_gracza[id]);
	nvault_get(g_vault,vaultkey,vaultdata,255);
	
	replace_all(vaultdata, 255, "#", " ");
	
	new doswiadczeniegracza[32], poziomgracza[32], inteligencjagracza[32], silagracza[32], zrecznoscgracza[32], zwinnoscgracza[32];
	
	parse(vaultdata, doswiadczeniegracza, 31, poziomgracza, 31, inteligencjagracza, 31, silagracza, 31, zrecznoscgracza, 31, zwinnoscgracza, 31);
	
	doswiadczenie_gracza[id] = str_to_num(doswiadczeniegracza);
	poziom_gracza[id] = str_to_num(poziomgracza)>0?str_to_num(poziomgracza):1;
	inteligencja_gracza[id] = str_to_num(inteligencjagracza);
	zdrowie_gracza[id] = str_to_num(silagracza);
	wytrzymalosc_gracza[id] = str_to_num(zrecznoscgracza);
	kondycja_gracza[id] = str_to_num(zwinnoscgracza);
	punkty_gracza[id] = (poziom_gracza[id]-1)*2-inteligencja_gracza[id]-zdrowie_gracza[id]-wytrzymalosc_gracza[id]-kondycja_gracza[id];
} 

public WyrzucPrzedmiot(id)
{
	if(informacje_przedmiotu_gracza[id][0])
	{
		client_print(id, print_chat, "[COD:AM] Wyrzuciles %s.", nazwy_przedmiotow[informacje_przedmiotu_gracza[id][0]]);
		UsunPrzedmiot(id);
	}
	else
		client_print(id, print_chat, "[COD:AM] Nie masz zadnego przedmiotu.", nazwy_przedmiotow[informacje_przedmiotu_gracza[id][0]]);
}

public UsunPrzedmiot(id)
{
	informacje_przedmiotu_gracza[id][0] = 0;
	informacje_przedmiotu_gracza[id][1] = 0;
	if(is_user_alive(id))
		set_user_footsteps(id, 0);
	set_rendering(id,kRenderFxGlowShell,0,0,0 ,kRenderTransAlpha, 255);
	ZmienUbranie(id, 1);
}

public DajPrzedmiot(id, przedmiot)
{
	UsunPrzedmiot(id);
	informacje_przedmiotu_gracza[id][0] = przedmiot;
	client_print(id, print_chat, "[COD:AM] Zdobyles %s.", nazwy_przedmiotow[informacje_przedmiotu_gracza[id][0]]);	
	
	switch(przedmiot)
	{
		case 1:
		{
			set_user_footsteps(id, 1);
		}
		case 2:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(3,6);
		}
		case 3:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(6, 11);
		}
		case 5:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(6, 9);
		}
		case 6:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(100, 150);
			set_rendering(id,kRenderFxGlowShell,0,0,0 ,kRenderTransAlpha, informacje_przedmiotu_gracza[id][1]);
		}
		case 7:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(2, 4);
		}
		case 8:
		{
			if(klasa_gracza[id] == Komandos)
				DajPrzedmiot(id, random_num(1, sizeof nazwy_przedmiotow-1));
		}
		case 9:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(1, 3);
			ZmienUbranie(id, 0);
			give_item(id, "weapon_hegrenade");
		}
		case 10:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(4, 8);
			give_item(id, "weapon_hegrenade");
		}
		case 12:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(1, 4);
		}
		case 13:
		{
			give_item(id, "weapon_awp");
		}
		case 15:
		{
			if(klasa_gracza[id] == Rambo)
				DajPrzedmiot(id, random_num(1, sizeof nazwy_przedmiotow-1));
		}
		case 16:
		{
			set_task(5.0, "WyszkolenieSanitarne", id+ZADANIE_WYSZKOLENIE_SANITARNE);
		}
		case 19:
		{
			informacje_przedmiotu_gracza[id][1] = 1;
		}
		case 26:
		{
			informacje_przedmiotu_gracza[id][1] = random_num(3, 6);
		}
		case 27:
		{
			informacje_przedmiotu_gracza[id][1] = 3;
		}
		case 28:
		{
			zezwol_na_czolganie[id] = 1;
		}
		
	}
}

public OpisPrzedmiotu(id)
{
	new opis_przedmiotu[128];
	new losowa_wartosc[3];
	num_to_str(informacje_przedmiotu_gracza[id][1], losowa_wartosc, 2);
	format(opis_przedmiotu, 127, opisy_przedmiotow[informacje_przedmiotu_gracza[id][0]]);
	replace_all(opis_przedmiotu, 127, "LW", losowa_wartosc);
	
	client_print(id, print_chat, "Przedmiot: %s.", nazwy_przedmiotow[informacje_przedmiotu_gracza[id][0]]);
	client_print(id, print_chat, "Opis: %s.", opis_przedmiotu);
}

public Wskrzes(id)
{
	id-=ZADANIE_WSKRZES;
	ExecuteHamB(Ham_CS_RoundRespawn, id);
}

public SprawdzPoziom(id)
{	
	if(poziom_gracza[id] < 4001)
	{
		while(doswiadczenie_gracza[id] >= doswiadczenie_poziomu[poziom_gracza[id]])
		{
			poziom_gracza[id]++;
			set_hudmessage(60, 200, 25, -1.0, 0.25, 0, 1.0, 2.0, 0.1, 0.2, 2);
			ShowSyncHudMsg(id, SyncHudObj3, "Awansowales do nastepnego poziomu!");
			client_cmd(id, "spk AM_CodMod/levelup");
		}
		
		punkty_gracza[id] = (poziom_gracza[id]-1)*2-inteligencja_gracza[id]-zdrowie_gracza[id]-wytrzymalosc_gracza[id]-kondycja_gracza[id];
	}
	ZapiszDane(id);
}

public PokazInformacje(id) 
{
	id -= ZADANIE_POKAZ_INFORMACJE;
	
	set_task(0.1, "PokazInformacje", id+ZADANIE_POKAZ_INFORMACJE);
	
	if(!is_user_alive(id))
	{
		new target = entity_get_int(id, EV_INT_iuser2);
		
		if(target == 0)
			return PLUGIN_CONTINUE;
		
		set_hudmessage(255, 255, 255, 0.6, -1.0, 0, 0.0, 0.3, 0.0, 0.0, 2);
		ShowSyncHudMsg(id, SyncHudObj, "Klasa : %s^nDoswiadczenie : %i / %i^nPoziom : %i^nPrzedmiot : %s", nazwy_klas[klasa_gracza[target]], doswiadczenie_gracza[target], doswiadczenie_poziomu[poziom_gracza[target]], poziom_gracza[target], nazwy_przedmiotow[informacje_przedmiotu_gracza[target][0]]);
		
		return PLUGIN_CONTINUE;
	}
	set_hudmessage(255, 0, 0, 0.02, 0.23, 0, 0.0, 0.3, 0.0, 0.0);
	ShowSyncHudMsg(id, SyncHudObj, "[Klasa : %s]^n[Doswiadczenie : %i / %i]^n[Poziom : %i]^n[Przedmiot : %s]", nazwy_klas[klasa_gracza[id]], doswiadczenie_gracza[id], doswiadczenie_poziomu[poziom_gracza[id]], poziom_gracza[id], nazwy_przedmiotow[informacje_przedmiotu_gracza[id][0]]);
	return PLUGIN_CONTINUE;
}  

public PokazReklame(id)
{
	id-=ZADANIE_POKAZ_REKLAME;
	client_print(id, print_chat, "[COD:MW] Witaj w Modyfikacji Call of Duty stworzonej przez QTM_Peyote.");
}

public UstawSzybkosc(id)
{
	id -= id>32? ZADANIE_USTAW_SZYBKOSC: 0;
	
	if(klasa_gracza[id])
		set_user_maxspeed(id, szybkosc_gracza[id]);
}

public ZmienUbranie(id,reset)
{
	if (id<1 || id>32 || !is_user_connected(id)) 
		return PLUGIN_CONTINUE;
	
	if (reset)
		cs_reset_user_model(id);
	else
	{
		new num = random_num(0,3);
		switch(get_user_team(id))
		{
			case 1: cs_set_user_model(id, Ubrania_CT[num]);
				case 2:cs_set_user_model(id, Ubrania_Terro[num]);
			}
	}
	
	return PLUGIN_CONTINUE;
}

public Pomoc()
{
	switch(random(7))
	{
		case 0: client_print(0, print_chat, "[COD:AM] Aby zresetowac umiejetnosci napisz /reset.");
			case 1: client_print(0, print_chat, "[COD:AM] Aby zmienic klase napisz /klasa.");
			case 2: client_print(0, print_chat, "[COD:AM] Aby uzyc przedmiotu nacisnij E.");
			case 3: client_print(0, print_chat, "[COD:AM] Aby wyrzucic przedmiot napisz /wyrzuc.");
			case 4: client_print(0, print_chat, "[COD:AM] Aby zobaczyc opis przedmiotu napisz /przedmiot.");
			case 5: client_print(0, print_chat, "[COD:AM] Aby zobaczyc opis klas napisz /klasy.");
			case 6: client_print(0, print_chat, "[COD:AM] Aby otworzy sklep wpisz /sklep.");
		}
	set_task(36.0, "Pomoc");
}

public cmd_setlvl(id, level, cid)
{
	if(!cmd_access(id,level,cid,3))
		return PLUGIN_HANDLED;
	new arg1[33];
	new arg2[6];
	read_argv(1, arg1, 32);
	read_argv(2, arg2, 5);
	new player = cmd_target(id, arg1);
	new value = str_to_num(arg2)-1;
	
	doswiadczenie_gracza[player] = doswiadczenie_poziomu[value];
	poziom_gracza[player] = 0;
	SprawdzPoziom(player);
	return PLUGIN_HANDLED;
}

public DotykBroni(weapon,id)
{
	new model[23];
	entity_get_string(weapon, EV_SZ_model, model, 22);
	if (!is_user_connected(id) || entity_get_edict(weapon, EV_ENT_owner) == id || equal(model, "models/w_backpack.mdl"))
		return HAM_IGNORED;
	return HAM_SUPERCEDE;
}

public BlokujKomende()
	return PLUGIN_HANDLED;

stock bool:UTIL_In_FOV(id,target)
{
	if (Find_Angle(id,target,9999.9) > 0.0)
		return true;
	
	return false;
}
#if defined BOTY
public is_user_bot2(id)
{
	new ping, loss
	get_user_ping(id, ping, loss)
	if(ping > 0 && loss > 0)
		return false
	return true
}
#endif

stock Float:Find_Angle(Core,Target,Float:dist)
{
	new Float:vec2LOS[2];
	new Float:flDot;
	new Float:CoreOrigin[3];
	new Float:TargetOrigin[3];
	new Float:CoreAngles[3];
	
	pev(Core,pev_origin,CoreOrigin);
	pev(Target,pev_origin,TargetOrigin);
	
	if (get_distance_f(CoreOrigin,TargetOrigin) > dist)
		return 0.0;
	
	pev(Core,pev_angles, CoreAngles);
	
	for ( new i = 0; i < 2; i++ )
		vec2LOS[i] = TargetOrigin[i] - CoreOrigin[i];
	
	new Float:veclength = Vec2DLength(vec2LOS);
	
	//Normalize V2LOS
	if (veclength <= 0.0)
	{
		vec2LOS[0] = 0.0;
		vec2LOS[1] = 0.0;
	}
	else
	{
		new Float:flLen = 1.0 / veclength;
		vec2LOS[0] = vec2LOS[0]*flLen;
		vec2LOS[1] = vec2LOS[1]*flLen;
	}
	
	//Do a makevector to make v_forward right
	engfunc(EngFunc_MakeVectors,CoreAngles);
	
	new Float:v_forward[3];
	new Float:v_forward2D[2];
	get_global_vector(GL_v_forward, v_forward);
	
	v_forward2D[0] = v_forward[0];
	v_forward2D[1] = v_forward[1];
	
	flDot = vec2LOS[0]*v_forward2D[0]+vec2LOS[1]*v_forward2D[1];
	
	if ( flDot > 0.5 )
	{
		return flDot;
	}
	
	return 0.0;
}

stock Float:Vec2DLength( Float:Vec[2] )  
{ 
	return floatsqroot(Vec[0]*Vec[0] + Vec[1]*Vec[1] );
}

stock Display_Fade(id,duration,holdtime,fadetype,red,green,blue,alpha)
{
	message_begin( MSG_ONE, g_msg_screenfade,{0,0,0},id );
	write_short( duration );	// Duration of fadeout
	write_short( holdtime );	// Hold time of color
	write_short( fadetype );	// Fade type
	write_byte ( red );		// Red
	write_byte ( green );		// Green
	write_byte ( blue );		// Blue
	write_byte ( alpha );	// Alpha
	message_end();
}

stock set_user_clip(id, ammo)
{
	new weaponname[32], weaponid = -1, weapon = get_user_weapon(id, _, _);
	get_weaponname(weapon, weaponname, 31);
	while ((weaponid = find_ent_by_class(weaponid, weaponname)) != 0)
		if(entity_get_edict(weaponid, EV_ENT_owner) == id) 
	{
		set_pdata_int(weaponid, 51, ammo, 4);
		return weaponid;
	}
	return 0;
}

public client_PostThink(id)
{       
	new button = pev(id,pev_button)
	new oldbuttons = pev(id,pev_oldbuttons)
	
	if(button & IN_USE && oldbuttons & IN_USE && pev(id,pev_watertype) == -1 && zezwol_na_czolganie[id] > 0)
	{
		new flags = pev(id,pev_flags)
		
		if(flags & FL_ONGROUND)
		{               
			engfunc(EngFunc_DropToFloor,id)
			
			client_cmd(id,"+duck")
			set_pev(id,pev_waterlevel,5)
			set_pev(id,pev_punchangle,{0.0,0.0,0.0})
			czolganie[id] = true                    
		}
		
		if(button & IN_JUMP && czolganie[id])
		{                               
			new Float:vVelocity[3]                          
			pev(id,pev_velocity,vVelocity)
			vVelocity[2] = float(-abs(floatround(vVelocity[2])))                    
			set_pev(id,pev_velocity,vVelocity)                                              
			set_pev(id,pev_button,pev(id,pev_button) & ~IN_JUMP)
		}               
	}
	else
	{
		if(czolganie[id])
		{
			client_cmd(id,"-duck")
			set_pev(id,pev_waterlevel,0)
			czolganie[id] = false
		}               
	}       
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
